'''module for calculating reaction rate coefficients (automatically generated)'''
# module to hold expressions for calculating rate coefficients # 
<<<<<<< HEAD
# created at 2020-11-26 11:53:33.202659
=======
# created at 2020-11-18 16:47:47.297984
>>>>>>> e9030bfb8dc80b92571dbd02e027e8db0630f80f

import numpy
import photolysisRates

def evaluate_rates(RO2, H2O, TEMP, lightm, time, lat, lon, act_flux_path, DayOfYear, M, N2, O2, photo_par_file, Jlen, tf):

	# inputs: ------------------------------------------------------------------
	# RO2 - names of components included in peroxy radical list
	# M - third body concentration (molecules/cc (air))
	# N2 - nitrogen concentration (molecules/cc (air))
	# O2 - oxygen concentration (molecules/cc (air))
	# H2O, TEMP: given by the user
	# lightm: given by the user and is 0 for lights off and 1 for on
	# reaction rate coefficients and their names parsed in eqn_parser.py 
	# Jlen - number of photolysis reactions
	# tf - sunlight transmission factor
	# ------------------------------------------------------------------------

	# calculate generic reaction rate coefficients given by chemical scheme
	KRO2NO=2.7e-12*numpy.exp(360/TEMP) 
	KRO2HO2=2.91e-13*numpy.exp(1300/TEMP) 
	KAPHO2=5.2e-13*numpy.exp(980/TEMP) 
	KAPNO=7.5e-12*numpy.exp(290/TEMP) 
	KRO2NO3=2.3e-12 
	KNO3AL=1.4e-12*numpy.exp(-1860/TEMP) 
	KDEC=1.00e+06 
	KROPRIM=2.50e-14*numpy.exp(-300/TEMP) 
	KROSEC=2.50e-14*numpy.exp(-300/TEMP) 
	KCH3O2=1.03e-13*numpy.exp(365/TEMP) 
	K298CH3O2=3.5e-13 
	K14ISOM1=3.00e7*numpy.exp(-5300/TEMP) 
	KD0=1.10e-05*M*numpy.exp(-10100/TEMP) 
	KDI=1.90e17*numpy.exp(-14100/TEMP) 
	KRD=KD0/KDI 
	FCD=0.30 
	NCD=0.75-1.27*(numpy.log10(FCD)) 
	FD=10**(numpy.log10(FCD)/(1+(numpy.log10(KRD)/NCD)**2)) 
	KBPAN=(KD0*KDI)*FD/(KD0+KDI) 
	KC0=3.28e-28*M*(TEMP/300)**-6.87 
	KCI=1.125e-11*(TEMP/300)**-1.105 
	KRC=KC0/KCI 
	FCC=0.30 
	NC=0.75-1.27*(numpy.log10(FCC)) 
	FC=10**(numpy.log10(FCC)/(1+(numpy.log10(KRC)/NC)**2)) 
	KFPAN=(KC0*KCI)*FC/(KC0+KCI) 
	K10=1.0e-31*M*(TEMP/300)**-1.6 
	K1I=5.0e-11*(TEMP/300)**-0.3 
	KR1=K10/K1I 
	FC1=0.85 
	NC1=0.75-1.27*(numpy.log10(FC1)) 
	F1=10**(numpy.log10(FC1)/(1+(numpy.log10(KR1)/NC1)**2)) 
	KMT01=(K10*K1I)*F1/(K10+K1I) 
	K20=1.3e-31*M*(TEMP/300)**-1.5 
	K2I=2.3e-11*(TEMP/300)**0.24 
	KR2=K20/K2I 
	FC2=0.6 
	NC2=0.75-1.27*(numpy.log10(FC2)) 
	F2=10**(numpy.log10(FC2)/(1+(numpy.log10(KR2)/NC2)**2)) 
	KMT02=(K20*K2I)*F2/(K20+K2I) 
	K30=3.6e-30*M*(TEMP/300)**-4.1 
	K3I=1.9e-12*(TEMP/300)**0.2 
	KR3=K30/K3I 
	FC3=0.35 
	NC3=0.75-1.27*(numpy.log10(FC3)) 
	F3=10**(numpy.log10(FC3)/(1+(numpy.log10(KR3)/NC3)**2)) 
	KMT03=(K30*K3I)*F3/(K30+K3I) 
	K40=1.3e-3*M*(TEMP/300)**-3.5*numpy.exp(-11000/TEMP) 
	K4I=9.7e+14*(TEMP/300)**0.1*numpy.exp(-11080/TEMP) 
	KR4=K40/K4I 
	FC4=0.35 
	NC4=0.75-1.27*(numpy.log10(FC4)) 
	F4=10**(numpy.log10(FC4)/(1+(numpy.log10(KR4)/NC4)**2)) 
	KMT04=(K40*K4I)*F4/(K40+K4I) 
	KMT05=1.44e-13*(1+(M/4.2e+19)) 
	KMT06=1+(1.40e-21*numpy.exp(2200/TEMP)*H2O) 
	K70=7.4e-31*M*(TEMP/300)**-2.4 
	K7I=3.3e-11*(TEMP/300)**-0.3 
	KR7=K70/K7I 
	FC7=0.81 
	NC7=0.75-1.27*(numpy.log10(FC7)) 
	F7=10**(numpy.log10(FC7)/(1+(numpy.log10(KR7)/NC7)**2)) 
	KMT07=(K70*K7I)*F7/(K70+K7I) 
	K80=3.2e-30*M*(TEMP/300)**-4.5 
	K8I=3.0e-11 
	KR8=K80/K8I 
	FC8=0.41 
	NC8=0.75-1.27*(numpy.log10(FC8)) 
	F8=10**(numpy.log10(FC8)/(1+(numpy.log10(KR8)/NC8)**2)) 
	KMT08=(K80*K8I)*F8/(K80+K8I) 
	K90=1.4e-31*M*(TEMP/300)**-3.1 
	K9I=4.0e-12 
	KR9=K90/K9I 
	FC9=0.4 
	NC9=0.75-1.27*(numpy.log10(FC9)) 
	F9=10**(numpy.log10(FC9)/(1+(numpy.log10(KR9)/NC9)**2)) 
	KMT09=(K90*K9I)*F9/(K90+K9I) 
	K100=4.10e-05*M*numpy.exp(-10650/TEMP) 
	K10I=6.0e+15*numpy.exp(-11170/TEMP) 
	KR10=K100/K10I 
	FC10=0.4 
	NC10=0.75-1.27*(numpy.log10(FC10)) 
	F10=10**(numpy.log10(FC10)/(1+(numpy.log10(KR10)/NC10)**2)) 
	KMT10=(K100*K10I)*F10/(K100+K10I) 
	K1=2.40e-14*numpy.exp(460/TEMP) 
	K3=6.50e-34*numpy.exp(1335/TEMP) 
	K4=2.70e-17*numpy.exp(2199/TEMP) 
	K2=(K3*M)/(1+(K3*M/K4)) 
	KMT11=K1+K2 
	K120=2.5e-31*M*(TEMP/300)**-2.6 
	K12I=2.0e-12 
	KR12=K120/K12I 
	FC12=0.53 
	NC12=0.75-1.27*(numpy.log10(FC12)) 
	F12=10**(numpy.log10(FC12)/(1.0+(numpy.log10(KR12)/NC12)**2)) 
	KMT12=(K120*K12I*F12)/(K120+K12I) 
	K130=2.5e-30*M*(TEMP/300)**-5.5 
	K13I=1.8e-11 
	KR13=K130/K13I 
	FC13=0.36 
	NC13=0.75-1.27*(numpy.log10(FC13)) 
	F13=10**(numpy.log10(FC13)/(1+(numpy.log10(KR13)/NC13)**2)) 
	KMT13=(K130*K13I)*F13/(K130+K13I) 
	K140=9.0e-5*numpy.exp(-9690/TEMP)*M 
	K14I=1.1e+16*numpy.exp(-10560/TEMP) 
	KR14=K140/K14I 
	FC14=0.36 
	NC14=0.75-1.27*(numpy.log10(FC14)) 
	F14=10**(numpy.log10(FC14)/(1+(numpy.log10(KR14)/NC14)**2)) 
	KMT14=(K140*K14I)*F14/(K140+K14I) 
	K150=8.6e-29*M*(TEMP/300)**-3.1 
	K15I=9.0e-12*(TEMP/300)**-0.85 
	KR15=K150/K15I 
	FC15=0.48 
	NC15=0.75-1.27*(numpy.log10(FC15)) 
	F15=10**(numpy.log10(FC15)/(1+(numpy.log10(KR15)/NC15)**2)) 
	KMT15=(K150*K15I)*F15/(K150+K15I) 
	K160=8e-27*M*(TEMP/300)**-3.5 
	K16I=3.0e-11*(TEMP/300)**-1 
	KR16=K160/K16I 
	FC16=0.5 
	NC16=0.75-1.27*(numpy.log10(FC16)) 
	F16=10**(numpy.log10(FC16)/(1+(numpy.log10(KR16)/NC16)**2)) 
	KMT16=(K160*K16I)*F16/(K160+K16I) 
	K170=5.0e-30*M*(TEMP/300)**-1.5 
	K17I=1.0e-12 
	KR17=K170/K17I 
	FC17=0.17*numpy.exp(-51/TEMP)+numpy.exp(-TEMP/204) 
	NC17=0.75-1.27*(numpy.log10(FC17)) 
	F17=10**(numpy.log10(FC17)/(1.0+(numpy.log10(KR17)/NC17)**2)) 
	KMT17=(K170*K17I*F17)/(K170+K17I) 
	KMT18=9.5e-39*O2*numpy.exp(5270/TEMP)/(1+7.5e-29*O2*numpy.exp(5610/TEMP)) 
	KPPN0=1.7e-03*numpy.exp(-11280/TEMP)*M 
	KPPNI=8.3e+16*numpy.exp(-13940/TEMP) 
	KRPPN=KPPN0/KPPNI 
	FCPPN=0.36 
	NCPPN=0.75-1.27*(numpy.log10(FCPPN)) 
	FPPN=10**(numpy.log10(FCPPN)/(1+(numpy.log10(KRPPN)/NCPPN)**2)) 
	KBPPN=(KPPN0*KPPNI)*FCPPN/(KPPN0+KPPNI) 

	# estimate and append photolysis rates
	J = photolysisRates.PhotolysisCalculation(time, lat, lon, TEMP, act_flux_path, DayOfYear, photo_par_file, Jlen, tf)

	if lightm == 0:
		J = [0]*len(J)
<<<<<<< HEAD
	rate_values = numpy.zeros((3949))
	
	# reac_coef has been formatted so that python can recognize it
	# gas-phase reactions
	rate_values[0] = 5.6e-34*N2*(TEMP/300)**-2.6*O2
	rate_values[1] = 6.0e-34*O2*(TEMP/300)**-2.6*O2
	rate_values[2] = 8.0e-12*numpy.exp(-2060/TEMP)
	rate_values[3] = KMT01
	rate_values[4] = 5.5e-12*numpy.exp(188/TEMP)
	rate_values[5] = KMT02
	rate_values[6] = 3.2e-11*numpy.exp(67/TEMP)*O2
	rate_values[7] = 2.0e-11*numpy.exp(130/TEMP)*N2
	rate_values[8] = 1.4e-12*numpy.exp(-1310/TEMP)
	rate_values[9] = 1.4e-13*numpy.exp(-2470/TEMP)
	rate_values[10] = 3.3e-39*numpy.exp(530/TEMP)*O2
	rate_values[11] = 1.8e-11*numpy.exp(110/TEMP)
	rate_values[12] = 4.50e-14*numpy.exp(-1260/TEMP)
	rate_values[13] = KMT03
	rate_values[14] = 2.14e-10*H2O
	rate_values[15] = 1.70e-12*numpy.exp(-940/TEMP)
	rate_values[16] = 7.7e-12*numpy.exp(-2100/TEMP)
	rate_values[17] = KMT05
	rate_values[18] = 2.9e-12*numpy.exp(-160/TEMP)
	rate_values[19] = 2.03e-16*(TEMP/300)**4.57*numpy.exp(693/TEMP)
	rate_values[20] = 4.8e-11*numpy.exp(250/TEMP)
	rate_values[21] = 2.20e-13*KMT06*numpy.exp(600/TEMP)
	rate_values[22] = 1.90e-33*M*KMT06*numpy.exp(980/TEMP)
	rate_values[23] = KMT07
	rate_values[24] = KMT08
	rate_values[25] = 2.0e-11
	rate_values[26] = 3.45e-12*numpy.exp(270/TEMP)
	rate_values[27] = KMT09
	rate_values[28] = 3.2e-13*numpy.exp(690/TEMP)*1.0
	rate_values[29] = 4.0e-12
	rate_values[30] = 2.5e-12*numpy.exp(260/TEMP)
	rate_values[31] = KMT11
	rate_values[32] = 4.0e-32*numpy.exp(-1000/TEMP)*M
	rate_values[33] = KMT12
	rate_values[34] = 1.3e-12*numpy.exp(-330/TEMP)*O2
	rate_values[35] = 6.00e-06
	rate_values[36] = 4.00e-04
	rate_values[37] = 1.20e-15*H2O
	rate_values[38] = J[1]
	rate_values[39] = J[2]
	rate_values[40] = J[3]
	rate_values[41] = J[4]
	rate_values[42] = J[5]
	rate_values[43] = J[6]
	rate_values[44] = J[7]
	rate_values[45] = J[8]
	rate_values[46] = KMT04
	rate_values[47] = KMT10
	rate_values[48] = 1.22e-11
	rate_values[49] = 2.80e-15*numpy.exp(-770/TEMP)*0.730
	rate_values[50] = 2.80e-15*numpy.exp(-770/TEMP)*0.270
	rate_values[51] = 4.28e-11*numpy.exp(401/TEMP)*0.408
	rate_values[52] = 4.28e-11*numpy.exp(401/TEMP)*0.222
	rate_values[53] = 4.28e-11*numpy.exp(401/TEMP)*0.370
	rate_values[54] = KRO2HO2*0.914
	rate_values[55] = KRO2NO
	rate_values[56] = KRO2NO3
	rate_values[57] = 9.20e-14*RO2*0.3
	rate_values[58] = 9.20e-14*RO2*0.7
	rate_values[59] = KDEC*0.5
	rate_values[60] = KDEC*0.5
	rate_values[61] = KDEC*0.5
	rate_values[62] = KDEC*0.5
	rate_values[63] = KRO2HO2*0.914
	rate_values[64] = KRO2NO*0.228
	rate_values[65] = KRO2NO*0.772
	rate_values[66] = KRO2NO3
	rate_values[67] = 9.20e-14*RO2*0.7
	rate_values[68] = 9.20e-14*RO2*0.3
	rate_values[69] = KRO2HO2*0.914
	rate_values[70] = KRO2NO*0.228
	rate_values[71] = KRO2NO*0.772
	rate_values[72] = KRO2NO3
	rate_values[73] = 8.80e-13*RO2*0.2
	rate_values[74] = 8.80e-13*RO2*0.2
	rate_values[75] = 8.80e-13*RO2*0.6
	rate_values[76] = KRO2HO2*0.914
	rate_values[77] = KRO2NO*0.228
	rate_values[78] = KRO2NO*0.772
	rate_values[79] = KRO2NO3
	rate_values[80] = 9.20e-14*RO2*0.7
	rate_values[81] = 9.20e-14*RO2*0.3
	rate_values[82] = 4.28e-11
	rate_values[83] = J[41]
	rate_values[84] = KDEC
	rate_values[85] = 5.91e-11
	rate_values[86] = KRO2HO2*0.914
	rate_values[87] = KRO2NO
	rate_values[88] = KRO2NO3
	rate_values[89] = 8.80e-13*RO2*0.2
	rate_values[90] = 8.80e-13*RO2*0.6
	rate_values[91] = 8.80e-13*RO2*0.2
	rate_values[92] = KRO2HO2*0.914
	rate_values[93] = KRO2NO
	rate_values[94] = KRO2NO3
	rate_values[95] = 8.80e-13*RO2*0.05
	rate_values[96] = 8.80e-13*RO2*0.9
	rate_values[97] = 8.80e-13*RO2*0.05
	rate_values[98] = KRO2HO2*0.890
	rate_values[99] = KRO2NO*0.157
	rate_values[100] = KRO2NO*0.843
	rate_values[101] = KRO2NO3
	rate_values[102] = 1.32e-12*RO2*0.6
	rate_values[103] = 1.32e-12*RO2*0.2
	rate_values[104] = 1.32e-12*RO2*0.2
	rate_values[105] = 1.20e-15
	rate_values[106] = 1.00e-14
	rate_values[107] = 1.00e-15
	rate_values[108] = 7.00e-14
	rate_values[109] = 1.40e-17*H2O
	rate_values[110] = 2.00e-18*H2O
	rate_values[111] = 7.36e-11
	rate_values[112] = J[41]
	rate_values[113] = 6.20e-11
	rate_values[114] = KDEC
	rate_values[115] = 7.02e-11
	rate_values[116] = 1.04e-10
	rate_values[117] = J[41]
	rate_values[118] = KDEC
	rate_values[119] = 6.70e-11
	rate_values[120] = 1.03e-10
	rate_values[121] = J[41]
	rate_values[122] = 9.31e-11
	rate_values[123] = KDEC
	rate_values[124] = 9.94e-11
	rate_values[125] = 2.60e-13*0.092
	rate_values[126] = 2.60e-13*0.988
	rate_values[127] = 8.30e-18*0.670
	rate_values[128] = 8.30e-18*0.330
	rate_values[129] = 1.10e-10*0.288
	rate_values[130] = 1.10e-10*0.712
	rate_values[131] = J[15]
	rate_values[132] = 1.06e-10
	rate_values[133] = J[22]
	rate_values[134] = J[41]
	rate_values[135] = KDEC
	rate_values[136] = 8.34e-11
	rate_values[137] = J[35]
	rate_values[138] = 9.34e-11
	rate_values[139] = J[22]
	rate_values[140] = 9.73e-11
	rate_values[141] = J[22]
	rate_values[142] = J[41]
	rate_values[143] = KDEC
	rate_values[144] = 1.01e-10
	rate_values[145] = J[34]
	rate_values[146] = 9.04e-11
	rate_values[147] = J[22]
	rate_values[148] = 7.39e-11
	rate_values[149] = J[41]
	rate_values[150] = 5.82e-11
	rate_values[151] = J[53]
	rate_values[152] = KDEC
	rate_values[153] = 6.91e-11
	rate_values[154] = 8.00e-11*0.288
	rate_values[155] = 8.00e-11*0.712
	rate_values[156] = J[15]
	rate_values[157] = 6.98e-11
	rate_values[158] = KAPHO2*0.41
	rate_values[159] = KAPHO2*0.44
	rate_values[160] = KAPHO2*0.15
	rate_values[161] = KAPNO
	rate_values[162] = KFPAN
	rate_values[163] = KRO2NO3*1.74
	rate_values[164] = 1.00e-11*RO2*0.7
	rate_values[165] = 1.00e-11*RO2*0.3
	rate_values[166] = 9.40e-12
	rate_values[167] = 1.50e-16*0.730
	rate_values[168] = 1.50e-16*0.270
	rate_values[169] = 9.97e-11*0.647
	rate_values[170] = 9.97e-11*0.353
	rate_values[171] = J[11]
	rate_values[172] = J[12]
	rate_values[173] = 5.5e-16
	rate_values[174] = 5.4e-12*numpy.exp(135/TEMP)
	rate_values[175] = KRO2HO2*0.914
	rate_values[176] = KRO2NO
	rate_values[177] = KRO2NO3
	rate_values[178] = 9.20e-14*RO2*0.7
	rate_values[179] = 9.20e-14*RO2*0.3
	rate_values[180] = KDEC
	rate_values[181] = KNO3AL*8.5
	rate_values[182] = 3.60e-11*0.748
	rate_values[183] = 3.60e-11*0.252
	rate_values[184] = J[15]
	rate_values[185] = KDEC*0.370
	rate_values[186] = KDEC*0.500
	rate_values[187] = KDEC*0.130
	rate_values[188] = KRO2HO2*0.914
	rate_values[189] = KRO2NO*0.059
	rate_values[190] = KRO2NO*0.941
	rate_values[191] = KRO2NO3
	rate_values[192] = 9.20e-14*RO2*0.7
	rate_values[193] = 9.20e-14*RO2*0.3
	rate_values[194] = KNO3AL*17.0
	rate_values[195] = 3.30e-13
	rate_values[196] = 1.30e-17*0.330
	rate_values[197] = 1.30e-17*0.670
	rate_values[198] = 1.06e-10*0.447
	rate_values[199] = 1.06e-10*0.553
	rate_values[200] = J[15]*2
	rate_values[201] = KAPHO2*0.15
	rate_values[202] = KAPHO2*0.41
	rate_values[203] = KAPHO2*0.44
	rate_values[204] = 7.5e-12*numpy.exp(290/TEMP)
	rate_values[205] = KFPAN
	rate_values[206] = 4.0e-12
	rate_values[207] = 1.00e-11*0.3*RO2
	rate_values[208] = 1.00e-11*0.7*RO2
	rate_values[209] = KAPHO2*0.15
	rate_values[210] = KAPHO2*0.41
	rate_values[211] = KAPHO2*0.44
	rate_values[212] = KAPNO
	rate_values[213] = KFPAN
	rate_values[214] = KRO2NO3*1.74
	rate_values[215] = 1.00e-11*RO2*0.3
	rate_values[216] = 1.00e-11*RO2*0.7
	rate_values[217] = KAPHO2*0.44
	rate_values[218] = KAPHO2*0.15
	rate_values[219] = KAPHO2*0.41
	rate_values[220] = KAPNO
	rate_values[221] = KFPAN
	rate_values[222] = KRO2NO3*1.74
	rate_values[223] = 1.00e-11*RO2*0.7
	rate_values[224] = 1.00e-11*RO2*0.3
	rate_values[225] = KRO2HO2*0.890
	rate_values[226] = KRO2NO
	rate_values[227] = KRO2NO3
	rate_values[228] = 8.80e-13*RO2*0.2
	rate_values[229] = 8.80e-13*RO2*0.6
	rate_values[230] = 8.80e-13*RO2*0.2
	rate_values[231] = KAPHO2*0.56
	rate_values[232] = KAPHO2*0.44
	rate_values[233] = KAPNO
	rate_values[234] = KFPAN
	rate_values[235] = KRO2NO3*1.74
	rate_values[236] = 1.00e-11*RO2
	rate_values[237] = KRO2HO2*0.890
	rate_values[238] = KRO2NO
	rate_values[239] = KRO2NO3
	rate_values[240] = 9.20e-14*RO2
	rate_values[241] = KRO2HO2*0.859
	rate_values[242] = KRO2NO
	rate_values[243] = KRO2NO3
	rate_values[244] = 2.50e-13*RO2
	rate_values[245] = 7.29e-11
	rate_values[246] = J[41]
	rate_values[247] = 6.93e-11
	rate_values[248] = KBPAN
	rate_values[249] = KRO2HO2*0.914
	rate_values[250] = KRO2NO*0.760
	rate_values[251] = KRO2NO3
	rate_values[252] = 9.20e-14*RO2*0.3
	rate_values[253] = 9.20e-14*RO2*0.7
	rate_values[254] = KDEC*0.5
	rate_values[255] = KDEC*0.5
	rate_values[256] = KDEC*0.5
	rate_values[257] = KDEC*0.5
	rate_values[258] = KRO2HO2*0.914
	rate_values[259] = KRO2NO*0.240
	rate_values[260] = KRO2NO*0.760
	rate_values[261] = KRO2NO3
	rate_values[262] = 9.20e-14*RO2*0.7
	rate_values[263] = 9.20e-14*RO2*0.3
	rate_values[264] = KRO2HO2*0.914
	rate_values[265] = KRO2NO*0.240
	rate_values[266] = KRO2NO*0.760
	rate_values[267] = KRO2NO3
	rate_values[268] = 8.80e-13*RO2*0.2
	rate_values[269] = 8.80e-13*RO2*0.2
	rate_values[270] = 8.80e-13*RO2*0.6
	rate_values[271] = 4.28e-11
	rate_values[272] = J[41]
	rate_values[273] = KDEC
	rate_values[274] = 3.93e-11
	rate_values[275] = KRO2HO2*0.890
	rate_values[276] = KRO2NO
	rate_values[277] = KRO2NO3
	rate_values[278] = 9.20e-14*RO2*0.7
	rate_values[279] = 9.20e-14*RO2*0.3
	rate_values[280] = KAPHO2*0.41
	rate_values[281] = KAPHO2*0.44
	rate_values[282] = KAPHO2*0.15
	rate_values[283] = KAPNO
	rate_values[284] = KFPAN
	rate_values[285] = KRO2NO3*1.74
	rate_values[286] = 1.00e-11*RO2*0.7
	rate_values[287] = 1.00e-11*RO2*0.3
	rate_values[288] = KRO2HO2*0.859
	rate_values[289] = KRO2NO*0.138
	rate_values[290] = KRO2NO*0.862
	rate_values[291] = KRO2NO3
	rate_values[292] = 1.30e-12*RO2*0.2
	rate_values[293] = 1.30e-12*RO2*0.6
	rate_values[294] = 1.30e-12*RO2*0.2
	rate_values[295] = 1.20e-15
	rate_values[296] = 1.00e-14
	rate_values[297] = 1.00e-15
	rate_values[298] = 7.00e-14
	rate_values[299] = 6.00e-18*H2O
	rate_values[300] = 1.00e-17*H2O
	rate_values[301] = 4.65e-11
	rate_values[302] = J[41]
	rate_values[303] = 3.01e-11
	rate_values[304] = KDEC
	rate_values[305] = 4.31e-11
	rate_values[306] = KRO2HO2*0.859
	rate_values[307] = KRO2NO
	rate_values[308] = KRO2NO3
	rate_values[309] = 9.20e-14*RO2*0.7
	rate_values[310] = 9.20e-14*RO2*0.3
	rate_values[311] = KNO3AL*8.5
	rate_values[312] = 5.41e-11
	rate_values[313] = J[15]*2
	rate_values[314] = KDEC
	rate_values[315] = KRO2HO2*0.859
	rate_values[316] = KRO2NO*0.069
	rate_values[317] = KRO2NO*0.931
	rate_values[318] = KRO2NO3
	rate_values[319] = 9.20e-14*RO2*0.7
	rate_values[320] = 9.20e-14*RO2*0.3
	rate_values[321] = KRO2HO2*0.820
	rate_values[322] = KRO2NO*0.111
	rate_values[323] = KRO2NO*0.889
	rate_values[324] = KRO2NO3
	rate_values[325] = 1.30e-12*RO2*0.4
	rate_values[326] = 1.30e-12*RO2*0.6
	rate_values[327] = 8.00e-13
	rate_values[328] = 3.70e-12
	rate_values[329] = J[41]
	rate_values[330] = 2.3e-12*numpy.exp(360/TEMP)*0.001
	rate_values[331] = 2.3e-12*numpy.exp(360/TEMP)*0.999
	rate_values[332] = KMT13
	rate_values[333] = 1.2e-12
	rate_values[334] = 2*KCH3O2*RO2*7.18*numpy.exp(-885/TEMP)
	rate_values[335] = 2*KCH3O2*RO2*0.5*(1-7.18*numpy.exp(-885/TEMP))
	rate_values[336] = 2*KCH3O2*RO2*0.5*(1-7.18*numpy.exp(-885/TEMP))
	rate_values[337] = 3e-14
	rate_values[338] = KBPAN
	rate_values[339] = 8.38e-11
	rate_values[340] = J[15]
	rate_values[341] = 8.69e-11
	rate_values[342] = J[41]
	rate_values[343] = J[15]
	rate_values[344] = 8.33e-11
	rate_values[345] = KBPAN
	rate_values[346] = KDEC*0.2
	rate_values[347] = KDEC*0.8
	rate_values[348] = 8.47e-11
	rate_values[349] = 8.82e-11
	rate_values[350] = J[41]
	rate_values[351] = 8.46e-11
	rate_values[352] = KBPAN
	rate_values[353] = 8.69e-11
	rate_values[354] = J[41]
	rate_values[355] = KDEC
	rate_values[356] = 6.67e-11
	rate_values[357] = J[35]
	rate_values[358] = 7.47e-11
	rate_values[359] = 6.28e-11
	rate_values[360] = J[41]
	rate_values[361] = 5.92e-11
	rate_values[362] = KBPAN
	rate_values[363] = 3.64e-11
	rate_values[364] = J[41]
	rate_values[365] = KDEC
	rate_values[366] = 8.06e-11
	rate_values[367] = J[22]
	rate_values[368] = J[41]
	rate_values[369] = KROSEC*O2
	rate_values[370] = 2.00e+14*numpy.exp(-6824/TEMP)
	rate_values[371] = 1.01e-11
	rate_values[372] = J[41]
	rate_values[373] = KDEC
	rate_values[374] = 6.30e-12
	rate_values[375] = KRO2HO2*0.914
	rate_values[376] = KRO2NO
	rate_values[377] = KRO2NO3
	rate_values[378] = 8.80e-13*RO2*0.2
	rate_values[379] = 8.80e-13*RO2*0.6
	rate_values[380] = 8.80e-13*RO2*0.2
	rate_values[381] = KRO2HO2*0.914
	rate_values[382] = KRO2NO
	rate_values[383] = KRO2NO3
	rate_values[384] = 8.80e-13*RO2*0.05
	rate_values[385] = 8.80e-13*RO2*0.9
	rate_values[386] = 8.80e-13*RO2*0.05
	rate_values[387] = 1.20e-15
	rate_values[388] = 1.00e-14
	rate_values[389] = 1.00e-15
	rate_values[390] = 7.00e-14
	rate_values[391] = 2.00e-18*H2O
	rate_values[392] = 1.40e-17*H2O
	rate_values[393] = 2.08e-11
	rate_values[394] = J[41]
	rate_values[395] = 9.20e-12
	rate_values[396] = KDEC
	rate_values[397] = 1.74e-11
	rate_values[398] = 4.76e-11
	rate_values[399] = J[41]
	rate_values[400] = KDEC
	rate_values[401] = 1.60e-11
	rate_values[402] = 3.08e-11
	rate_values[403] = J[41]
	rate_values[404] = J[15]*2
	rate_values[405] = KDEC
	rate_values[406] = 2.73e-11
	rate_values[407] = J[15]*2
	rate_values[408] = 2.28e-11
	rate_values[409] = J[22]*2
	rate_values[410] = J[41]
	rate_values[411] = 1.97e-11
	rate_values[412] = J[22]*2
	rate_values[413] = 1.92e-11
	rate_values[414] = KBPAN
	rate_values[415] = 3.21e-11
	rate_values[416] = J[22]*2
	rate_values[417] = J[41]
	rate_values[418] = 1.62e-11
	rate_values[419] = J[22]*2
	rate_values[420] = J[53]
	rate_values[421] = KDEC
	rate_values[422] = 2.72e-11
	rate_values[423] = 2.31e-11
	rate_values[424] = J[22]*2
	rate_values[425] = 4.5e-13
	rate_values[426] = 5.89e-11
	rate_values[427] = J[41]
	rate_values[428] = J[15]*2
	rate_values[429] = KDEC
	rate_values[430] = 5.54e-11
	rate_values[431] = J[15]*2
	rate_values[432] = KAPHO2*0.15
	rate_values[433] = KAPHO2*0.41
	rate_values[434] = KAPHO2*0.44
	rate_values[435] = KAPNO
	rate_values[436] = KFPAN
	rate_values[437] = KRO2NO3*1.74
	rate_values[438] = 1.00e-11*RO2*0.3
	rate_values[439] = 1.00e-11*RO2*0.7
	rate_values[440] = KRO2HO2*0.770
	rate_values[441] = KRO2NO*0.078
	rate_values[442] = KRO2NO*0.922
	rate_values[443] = KRO2NO3
	rate_values[444] = 1.30e-12*0.2
	rate_values[445] = 1.30e-12*0.2
	rate_values[446] = 1.30e-12*0.6
	rate_values[447] = KRO2HO2*0.820
	rate_values[448] = KRO2NO
	rate_values[449] = KRO2NO3
	rate_values[450] = 9.20e-14*RO2*0.7
	rate_values[451] = 9.20e-14*RO2*0.3
	rate_values[452] = 6.05e-11
	rate_values[453] = J[41]
	rate_values[454] = J[15]*2
	rate_values[455] = 4.59e-11
	rate_values[456] = KDEC
	rate_values[457] = 5.70e-11
	rate_values[458] = J[15]*2
	rate_values[459] = 9.57e-11
	rate_values[460] = J[41]
	rate_values[461] = J[15]
	rate_values[462] = 7.51e-11
	rate_values[463] = J[53]
	rate_values[464] = KDEC
	rate_values[465] = KNO3AL*8.5
	rate_values[466] = 3.30e-13
	rate_values[467] = 1.30e-17*0.330
	rate_values[468] = 1.30e-17*0.670
	rate_values[469] = 8.67e-11*0.288
	rate_values[470] = 8.67e-11*0.712
	rate_values[471] = J[15]
	rate_values[472] = J[41]
	rate_values[473] = 5.3e-12*numpy.exp(190/TEMP)*0.6
	rate_values[474] = 5.3e-12*numpy.exp(190/TEMP)*0.4
	rate_values[475] = J[51]
	rate_values[476] = 4.0e-13*numpy.exp(-845/TEMP)
	rate_values[477] = 7.2e-14*numpy.exp(-1080/TEMP)*O2
	rate_values[478] = KMT14
	rate_values[479] = 2.85e-12*numpy.exp(-345/TEMP)
	rate_values[480] = KRO2HO2*0.859
	rate_values[481] = KRO2NO*0.138
	rate_values[482] = KRO2NO*0.862
	rate_values[483] = KRO2NO3
	rate_values[484] = 1.30e-12*RO2*0.2
	rate_values[485] = 1.30e-12*RO2*0.6
	rate_values[486] = 1.30e-12*RO2*0.2
	rate_values[487] = KAPHO2*0.41
	rate_values[488] = KAPHO2*0.44
	rate_values[489] = KAPHO2*0.15
	rate_values[490] = KAPNO
	rate_values[491] = KFPAN
	rate_values[492] = KRO2NO3*1.74
	rate_values[493] = 1.00e-11*RO2*0.7
	rate_values[494] = 1.00e-11*RO2*0.3
	rate_values[495] = KRO2HO2*0.890
	rate_values[496] = KRO2NO
	rate_values[497] = KRO2NO3
	rate_values[498] = 9.20e-14*RO2
	rate_values[499] = KAPHO2*0.15
	rate_values[500] = KAPHO2*0.41
	rate_values[501] = KAPHO2*0.44
	rate_values[502] = KAPNO
	rate_values[503] = KFPAN
	rate_values[504] = KRO2NO3*1.74
	rate_values[505] = 1.00e-11*RO2*0.3
	rate_values[506] = 1.00e-11*RO2*0.7
	rate_values[507] = 5.20e-11
	rate_values[508] = J[18]
	rate_values[509] = J[19]
	rate_values[510] = J[18]
	rate_values[511] = J[19]
	rate_values[512] = 3.4e-15
	rate_values[513] = 1.4e-15*numpy.exp(-2100/TEMP)*0.12
	rate_values[514] = 1.4e-15*numpy.exp(-2100/TEMP)*0.88
	rate_values[515] = 8.0e-12*numpy.exp(380/TEMP)*0.45
	rate_values[516] = 8.0e-12*numpy.exp(380/TEMP)*0.47
	rate_values[517] = 8.0e-12*numpy.exp(380/TEMP)*0.08
	rate_values[518] = KRO2HO2*0.625
	rate_values[519] = KRO2NO*0.033
	rate_values[520] = KRO2NO*0.967
	rate_values[521] = KRO2NO3
	rate_values[522] = 2.00e-12*0.2*RO2
	rate_values[523] = 2.00e-12*0.6*RO2
	rate_values[524] = 2.00e-12*0.2*RO2
	rate_values[525] = 5.79e-11
	rate_values[526] = J[22]
	rate_values[527] = J[41]
	rate_values[528] = KDEC
	rate_values[529] = 3.58e-11
	rate_values[530] = J[35]
	rate_values[531] = 4.57e-11
	rate_values[532] = J[22]
	rate_values[533] = 4.77e-11
	rate_values[534] = J[22]
	rate_values[535] = J[41]
	rate_values[536] = KDEC
	rate_values[537] = 5.09e-11
	rate_values[538] = J[34]
	rate_values[539] = 4.09e-11
	rate_values[540] = J[22]
	rate_values[541] = KNO3AL*5.5
	rate_values[542] = 2.69e-11
	rate_values[543] = J[15]
	rate_values[544] = KRO2HO2*0.859
	rate_values[545] = KRO2NO
	rate_values[546] = KRO2NO3
	rate_values[547] = 1.30e-12*0.2
	rate_values[548] = 1.30e-12*0.6
	rate_values[549] = 1.30e-12*0.2
	rate_values[550] = KAPHO2*0.56
	rate_values[551] = KAPHO2*0.44
	rate_values[552] = KAPNO
	rate_values[553] = KFPAN
	rate_values[554] = KRO2NO3*1.74
	rate_values[555] = 1.00e-11*RO2
	rate_values[556] = 3.19e-11
	rate_values[557] = J[15]
	rate_values[558] = 3.50e-11
	rate_values[559] = J[41]
	rate_values[560] = J[15]
	rate_values[561] = 3.14e-11
	rate_values[562] = KBPAN
	rate_values[563] = 4.38e-11
	rate_values[564] = J[41]
	rate_values[565] = J[15]
	rate_values[566] = 2.84e-11
	rate_values[567] = J[53]
	rate_values[568] = KDEC
	rate_values[569] = 5.13e-11
	rate_values[570] = KNO3AL*8.5
	rate_values[571] = 4.35e-11
	rate_values[572] = J[15]
	rate_values[573] = 5.07e-11
	rate_values[574] = J[41]
	rate_values[575] = J[22]
	rate_values[576] = J[15]*2
	rate_values[577] = KDEC
	rate_values[578] = 4.73e-11
	rate_values[579] = J[22]
	rate_values[580] = J[15]*2
	rate_values[581] = KRO2HO2*0.770
	rate_values[582] = KRO2NO
	rate_values[583] = KRO2NO3
	rate_values[584] = 9.20e-14*RO2*0.7
	rate_values[585] = 9.20e-14*RO2*0.3
	rate_values[586] = KDEC
	rate_values[587] = KRO2HO2*0.770
	rate_values[588] = KRO2NO*0.031
	rate_values[589] = KRO2NO*0.969
	rate_values[590] = KRO2NO3
	rate_values[591] = 9.20e-14*RO2*0.7
	rate_values[592] = 9.20e-14*RO2*0.3
	rate_values[593] = KRO2HO2*0.770
	rate_values[594] = KRO2NO*0.078
	rate_values[595] = KRO2NO*0.922
	rate_values[596] = KRO2NO3
	rate_values[597] = 1.30e-12*RO2*0.2
	rate_values[598] = 1.30e-12*RO2*0.6
	rate_values[599] = 1.30e-12*RO2*0.2
	rate_values[600] = 9.71e-11
	rate_values[601] = J[41]
	rate_values[602] = 8.31e-11
	rate_values[603] = J[53]
	rate_values[604] = KDEC
	rate_values[605] = 8.80e-11
	rate_values[606] = 6.18e-11
	rate_values[607] = J[41]
	rate_values[608] = KRO2HO2*0.859
	rate_values[609] = KRO2NO*0.138
	rate_values[610] = KRO2NO*0.862
	rate_values[611] = KRO2NO3
	rate_values[612] = 1.30e-12*RO2*0.2
	rate_values[613] = 1.30e-12*RO2*0.6
	rate_values[614] = 1.30e-12*RO2*0.2
	rate_values[615] = 5.89e-11
	rate_values[616] = 5.82e-11
	rate_values[617] = KBPAN
	rate_values[618] = 2.45e-11
	rate_values[619] = J[41]
	rate_values[620] = KDEC
	rate_values[621] = 6.00e-11
	rate_values[622] = 6.31e-11
	rate_values[623] = J[41]
	rate_values[624] = 5.95e-11
	rate_values[625] = KBPAN
	rate_values[626] = KRO2HO2
	rate_values[627] = KRO2NO
	rate_values[628] = KRO2NO3
	rate_values[629] = 9.20e-14*RO2
	rate_values[630] = KAPHO2*0.44
	rate_values[631] = KAPHO2*0.15
	rate_values[632] = KAPHO2*0.41
	rate_values[633] = 8.70e-12*numpy.exp(290/TEMP)
	rate_values[634] = KFPAN
	rate_values[635] = KRO2NO3*1.74
	rate_values[636] = 1.00e-11*0.7*RO2
	rate_values[637] = 1.00e-11*0.3*RO2
	rate_values[638] = KDEC*0.35
	rate_values[639] = KDEC*0.65
	rate_values[640] = KDEC*0.18
	rate_values[641] = KDEC*0.82
	rate_values[642] = J[34]
	rate_values[643] = KNO3AL*2.4
	rate_values[644] = 1.9e-12*numpy.exp(575/TEMP)
	rate_values[645] = KDEC*0.37
	rate_values[646] = KDEC*0.47
	rate_values[647] = KDEC*0.16
	rate_values[648] = KRO2HO2*0.625
	rate_values[649] = KRO2NO*0.013
	rate_values[650] = KRO2NO*0.987
	rate_values[651] = KRO2NO3
	rate_values[652] = K14ISOM1
	rate_values[653] = 9.20e-14*0.7*RO2
	rate_values[654] = 9.20e-14*0.3*RO2
	rate_values[655] = KRO2HO2*0.625
	rate_values[656] = KRO2NO*0.017
	rate_values[657] = KRO2NO*0.983
	rate_values[658] = KRO2NO3
	rate_values[659] = 1.4e-12*0.2*RO2
	rate_values[660] = 1.4e-12*0.2*RO2
	rate_values[661] = 1.4e-12*0.6*RO2
	rate_values[662] = 4.88e-11
	rate_values[663] = 1.90e-12*numpy.exp(190/TEMP)
	rate_values[664] = J[41]
	rate_values[665] = J[22]
	rate_values[666] = 9.64e-13
	rate_values[667] = J[53]
	rate_values[668] = J[22]
	rate_values[669] = KROPRIM*O2
	rate_values[670] = 1.30e+11*numpy.exp(-4127/TEMP)
	rate_values[671] = KNO3AL*4.0
	rate_values[672] = 7.15e-11
	rate_values[673] = J[15]
	rate_values[674] = 1.35e-11
	rate_values[675] = J[22]
	rate_values[676] = KAPHO2*0.44
	rate_values[677] = KAPHO2*0.15
	rate_values[678] = KAPHO2*0.41
	rate_values[679] = KAPNO
	rate_values[680] = KFPAN
	rate_values[681] = KRO2NO3*1.74
	rate_values[682] = 1.00e-11*RO2*0.7
	rate_values[683] = 1.00e-11*RO2*0.3
	rate_values[684] = KAPHO2*0.44
	rate_values[685] = KAPHO2*0.15
	rate_values[686] = KAPHO2*0.41
	rate_values[687] = KAPNO
	rate_values[688] = KFPAN
	rate_values[689] = KRO2NO3*1.74
	rate_values[690] = 1.00e-11*RO2*0.7
	rate_values[691] = KRO2HO2*0.770
	rate_values[692] = KRO2NO
	rate_values[693] = KRO2NO3
	rate_values[694] = 2.50e-12*RO2*0.6
	rate_values[695] = 2.50e-12*RO2*0.2
	rate_values[696] = 2.50e-12*RO2*0.2
	rate_values[697] = 3.94e-11
	rate_values[698] = J[22]*2
	rate_values[699] = J[41]
	rate_values[700] = KDEC
	rate_values[701] = 1.41e-11
	rate_values[702] = 2.72e-11
	rate_values[703] = J[22]*2
	rate_values[704] = 1.05e-11
	rate_values[705] = J[22]*2
	rate_values[706] = J[41]
	rate_values[707] = KRO2HO2*0.820
	rate_values[708] = KRO2NO
	rate_values[709] = KRO2NO3
	rate_values[710] = 8.80e-13*RO2
	rate_values[711] = 6.89e-12
	rate_values[712] = KBPAN
	rate_values[713] = KAPHO2*0.56
	rate_values[714] = KAPHO2*0.44
	rate_values[715] = KAPNO
	rate_values[716] = KFPAN
	rate_values[717] = KRO2NO3*1.74
	rate_values[718] = 1.00e-11*RO2
	rate_values[719] = KAPHO2*0.15
	rate_values[720] = KAPHO2*0.41
	rate_values[721] = KAPHO2*0.44
	rate_values[722] = KAPNO
	rate_values[723] = KFPAN
	rate_values[724] = KRO2NO3*1.74
	rate_values[725] = 1.00e-11*RO2*0.3
	rate_values[726] = 1.00e-11*RO2*0.7
	rate_values[727] = KRO2HO2*0.706
	rate_values[728] = KRO2NO*0.052
	rate_values[729] = KRO2NO*0.948
	rate_values[730] = KRO2NO3
	rate_values[731] = 1.30e-12*RO2*0.6
	rate_values[732] = 1.30e-12*RO2*0.2
	rate_values[733] = 1.30e-12*RO2*0.2
	rate_values[734] = 2*KNO3AL*5.5
	rate_values[735] = 1.33e-10
	rate_values[736] = J[15]*2
	rate_values[737] = 3.94e-11
	rate_values[738] = J[41]
	rate_values[739] = KDEC
	rate_values[740] = 3.59e-11
	rate_values[741] = KRO2HO2*0.770
	rate_values[742] = KRO2NO
	rate_values[743] = KRO2NO3
	rate_values[744] = 9.20e-14*RO2*0.7
	rate_values[745] = 9.20e-14*RO2*0.3
	rate_values[746] = 4.52e-11
	rate_values[747] = J[41]
	rate_values[748] = 3.28e-11
	rate_values[749] = KDEC
	rate_values[750] = 4.18e-11
	rate_values[751] = 7.17e-11
	rate_values[752] = J[41]
	rate_values[753] = 5.64e-11
	rate_values[754] = J[53]
	rate_values[755] = KROPRIM*O2
	rate_values[756] = KNO3AL*8.5
	rate_values[757] = 3.30e-13
	rate_values[758] = 1.30e-17*0.670
	rate_values[759] = 1.30e-17*0.330
	rate_values[760] = 8.70e-11*0.288
	rate_values[761] = 8.70e-11*0.712
	rate_values[762] = J[15]
	rate_values[763] = 6.29e-11
	rate_values[764] = KRO2HO2*0.859
	rate_values[765] = KRO2NO
	rate_values[766] = KRO2NO3
	rate_values[767] = 8.80e-12*RO2*0.2
	rate_values[768] = 8.80e-12*RO2*0.6
	rate_values[769] = 8.80e-12*RO2*0.2
	rate_values[770] = 7.06e-11
	rate_values[771] = J[41]
	rate_values[772] = 5.53e-11
	rate_values[773] = J[53]
	rate_values[774] = KDEC
	rate_values[775] = 7.70e-11
	rate_values[776] = J[15]
	rate_values[777] = 6.16e-11
	rate_values[778] = 1.35e-11
	rate_values[779] = J[22]*2
	rate_values[780] = J[41]
	rate_values[781] = KDEC
	rate_values[782] = 1.51e-11
	rate_values[783] = J[41]
	rate_values[784] = 1.30e-11*0.83
	rate_values[785] = 1.30e-11*0.17
	rate_values[786] = 3.60e-12
	rate_values[787] = 1.6e+16*numpy.exp(-13500/TEMP)
	rate_values[788] = 8.2e-18
	rate_values[789] = 2.9e-11*0.22
	rate_values[790] = 2.90e-11*0.57
	rate_values[791] = 2.90e-11*0.21
	rate_values[792] = 1.2e-15
	rate_values[793] = 1.0e-14
	rate_values[794] = 1.0e-15
	rate_values[795] = 7.0e-14
	rate_values[796] = 6.0e-18*H2O
	rate_values[797] = J[17]
	rate_values[798] = J[41]
	rate_values[799] = 3.77e-11
	rate_values[800] = 4.34e-12*0.16
	rate_values[801] = 4.34e-12*0.84
	rate_values[802] = J[56]*10
	rate_values[803] = KDEC
	rate_values[804] = 1.6e-12*numpy.exp(305/TEMP)
	rate_values[805] = J[22]
	rate_values[806] = J[17]
	rate_values[807] = 3.42e-11
	rate_values[808] = 5.55e-11
	rate_values[809] = J[17]
	rate_values[810] = J[41]
	rate_values[811] = J[56]*1.6
	rate_values[812] = 2.15e-11
	rate_values[813] = KDEC
	rate_values[814] = 4.18e-11
	rate_values[815] = J[17]*2
	rate_values[816] = KRO2HO2*0.625
	rate_values[817] = KRO2NO
	rate_values[818] = KRO2NO3
	rate_values[819] = 2.00e-12*0.2*RO2
	rate_values[820] = 2.00e-12*0.6*RO2
	rate_values[821] = 2.00e-12*0.2*RO2
	rate_values[822] = KAPHO2*0.44
	rate_values[823] = KAPHO2*0.56
	rate_values[824] = KAPNO
	rate_values[825] = KFPAN
	rate_values[826] = KRO2NO3*1.74
	rate_values[827] = 1.00e-11*RO2
	rate_values[828] = 1.36e-13*numpy.exp(1250/TEMP)*0.15
	rate_values[829] = 1.36e-13*numpy.exp(1250/TEMP)*0.85
	rate_values[830] = KRO2NO
	rate_values[831] = KRO2NO3
	rate_values[832] = 2*(K298CH3O2*8.0e-12)**0.5*RO2*0.2
	rate_values[833] = 2*(K298CH3O2*8.0e-12)**0.5*RO2*0.6
	rate_values[834] = 2*(K298CH3O2*8.0e-12)**0.5*RO2*0.2
	rate_values[835] = 1.53e-13*numpy.exp(1300/TEMP)
	rate_values[836] = KRO2NO*0.005
	rate_values[837] = KRO2NO*0.995
	rate_values[838] = KRO2NO3
	rate_values[839] = KDEC*0.2
	rate_values[840] = KDEC*0.8
	rate_values[841] = 3.88e-11
	rate_values[842] = 4.18e-11
	rate_values[843] = J[41]
	rate_values[844] = 3.82e-11
	rate_values[845] = KBPAN
	rate_values[846] = 6.67e-12
	rate_values[847] = J[22]*2
	rate_values[848] = 9.75e-11
	rate_values[849] = J[41]
	rate_values[850] = J[22]*2
	rate_values[851] = 6.15e-12
	rate_values[852] = KBPAN
	rate_values[853] = 1.51e-11
	rate_values[854] = J[41]
	rate_values[855] = J[22]*2
	rate_values[856] = KDEC
	rate_values[857] = 8.25e-12
	rate_values[858] = J[22]*2
	rate_values[859] = 1.83e-11
	rate_values[860] = J[34]
	rate_values[861] = KRO2HO2*0.859
	rate_values[862] = KRO2NO
	rate_values[863] = KRO2NO3
	rate_values[864] = 9.20e-14*RO2
	rate_values[865] = 2.42e-11
	rate_values[866] = J[41]
	rate_values[867] = KDEC
	rate_values[868] = 5.67e-12
	rate_values[869] = J[35]
	rate_values[870] = 3.14e-11
	rate_values[871] = J[41]
	rate_values[872] = J[15]
	rate_values[873] = KRO2HO2*0.706
	rate_values[874] = KRO2NO
	rate_values[875] = KRO2NO3
	rate_values[876] = 8.80e-13*RO2
	rate_values[877] = 2.78e-11
	rate_values[878] = KBPAN
	rate_values[879] = 1.84e-11
	rate_values[880] = 2.15e-11
	rate_values[881] = J[41]
	rate_values[882] = 1.79e-11
	rate_values[883] = KBPAN
	rate_values[884] = 4.93e-11
	rate_values[885] = J[41]
	rate_values[886] = 1.38e-11
	rate_values[887] = J[53]
	rate_values[888] = KROPRIM*O2
	rate_values[889] = 2.81e-11
	rate_values[890] = KNO3AL*8.5
	rate_values[891] = 3.51e-11
	rate_values[892] = J[15]
	rate_values[893] = KAPHO2*0.44
	rate_values[894] = KAPHO2*0.56
	rate_values[895] = KAPNO
	rate_values[896] = KFPAN
	rate_values[897] = KRO2NO3*1.74
	rate_values[898] = 1.00e-11*RO2
	rate_values[899] = KRO2HO2*0.625
	rate_values[900] = KRO2NO
	rate_values[901] = KRO2NO3
	rate_values[902] = 2.00e-12*RO2
	rate_values[903] = 3.14e-11
	rate_values[904] = J[41]
	rate_values[905] = J[22]
	rate_values[906] = J[15]
	rate_values[907] = KDEC
	rate_values[908] = 2.80e-11
	rate_values[909] = J[22]
	rate_values[910] = J[15]
	rate_values[911] = KAPHO2*0.15
	rate_values[912] = KAPHO2*0.41
	rate_values[913] = KAPHO2*0.44
	rate_values[914] = KAPNO
	rate_values[915] = KFPAN
	rate_values[916] = KRO2NO3*1.74
	rate_values[917] = 1.00e-11*RO2*0.3
	rate_values[918] = 1.00e-11*RO2*0.7
	rate_values[919] = KRO2HO2*0.770
	rate_values[920] = KRO2NO
	rate_values[921] = KRO2NO3
	rate_values[922] = 8.00e-13*RO2*0.7
	rate_values[923] = 8.00e-13*RO2*0.3
	rate_values[924] = KDEC
	rate_values[925] = KRO2HO2*0.770
	rate_values[926] = KRO2NO*0.030
	rate_values[927] = KRO2NO*0.970
	rate_values[928] = KRO2NO3
	rate_values[929] = 8.00e-13*RO2*0.7
	rate_values[930] = 8.00e-13*RO2*0.3
	rate_values[931] = KRO2HO2*0.706
	rate_values[932] = KRO2NO*0.104
	rate_values[933] = KRO2NO*0.896
	rate_values[934] = KRO2NO3
	rate_values[935] = 1.05e16*numpy.exp(-11705/TEMP)
	rate_values[936] = 2.90e-12*0.1*RO2
	rate_values[937] = 2.90e-12*0.8*RO2
	rate_values[938] = 2.90e-12*0.1*RO2
	rate_values[939] = 1.88e11*numpy.exp(-9752/TEMP)
	rate_values[940] = 1.05e16*numpy.exp(-11569/TEMP)
	rate_values[941] = 1.02e-10
	rate_values[942] = J[41]
	rate_values[943] = KDEC
	rate_values[944] = 7.46e-11
	rate_values[945] = J[34]
	rate_values[946] = 9.34e-11
	rate_values[947] = KRO2HO2*0.859
	rate_values[948] = KRO2NO
	rate_values[949] = KRO2NO3
	rate_values[950] = 8.80e-12*RO2*0.2
	rate_values[951] = 8.80e-12*RO2*0.6
	rate_values[952] = 8.80e-12*RO2*0.2
	rate_values[953] = KAPHO2*0.15
	rate_values[954] = KAPHO2*0.41
	rate_values[955] = KAPHO2*0.44
	rate_values[956] = KAPNO
	rate_values[957] = KFPAN
	rate_values[958] = KRO2NO3*1.74
	rate_values[959] = 1.00e-11*0.3*RO2
	rate_values[960] = 1.00e-11*0.7*RO2
	rate_values[961] = 4.33e-12*0.3
	rate_values[962] = 4.33e-12*0.7
	rate_values[963] = 8.83e-13
	rate_values[964] = 6.78e-12
	rate_values[965] = J[56]*10
	rate_values[966] = KAPHO2*0.44
	rate_values[967] = KAPHO2*0.15
	rate_values[968] = KAPHO2*0.41
	rate_values[969] = KAPNO
	rate_values[970] = KFPAN
	rate_values[971] = KRO2NO3*1.74
	rate_values[972] = 1.00e-11*0.7*RO2
	rate_values[973] = 1.00e-11*0.3*RO2
	rate_values[974] = 1.4e-11
	rate_values[975] = J[17]
	rate_values[976] = KAPHO2*0.15
	rate_values[977] = KAPHO2*0.41
	rate_values[978] = KAPHO2*0.44
	rate_values[979] = KAPNO
	rate_values[980] = KFPAN
	rate_values[981] = KRO2NO3*1.74
	rate_values[982] = 1.00e-11*0.3*RO2
	rate_values[983] = 1.00e-11*0.7*RO2
	rate_values[984] = KAPHO2*0.56
	rate_values[985] = KAPHO2*0.44
	rate_values[986] = KAPNO
	rate_values[987] = KFPAN
	rate_values[988] = KRO2NO3*1.74
	rate_values[989] = 1.00e-11*RO2
	rate_values[990] = 1.90e-12*numpy.exp(190/TEMP)
	rate_values[991] = 2.16e-11
	rate_values[992] = J[41]
	rate_values[993] = J[22]
	rate_values[994] = KDEC
	rate_values[995] = 1.57e-11
	rate_values[996] = J[22]
	rate_values[997] = KNO3AL*4.0
	rate_values[998] = 2.56e-11
	rate_values[999] = J[34]
	rate_values[1000] = 4.18e-12
	rate_values[1001] = J[41]
	rate_values[1002] = J[22]
	rate_values[1003] = 5.93e-13
	rate_values[1004] = KBPAN
	rate_values[1005] = KDEC
	rate_values[1006] = 1.90e-12*numpy.exp(190/TEMP)
	rate_values[1007] = 8.39e-12
	rate_values[1008] = J[22]
	rate_values[1009] = J[41]
	rate_values[1010] = 1.90e-12*numpy.exp(190/TEMP)
	rate_values[1011] = 1.38e-11
	rate_values[1012] = J[41]
	rate_values[1013] = 8.40e-13
	rate_values[1014] = 9.50e+13*numpy.exp(-5988/TEMP)
	rate_values[1015] = KROPRIM*O2
	rate_values[1016] = 1.45e-11
	rate_values[1017] = KNO3AL
	rate_values[1018] = 1.00e-11*0.200
	rate_values[1019] = 1.00e-11*0.800
	rate_values[1020] = J[15]
	rate_values[1021] = KRO2HO2*0.859
	rate_values[1022] = KRO2NO*0.138
	rate_values[1023] = KRO2NO*0.862
	rate_values[1024] = KRO2NO3
	rate_values[1025] = 1.30e-12*RO2*0.2
	rate_values[1026] = 1.30e-12*RO2*0.6
	rate_values[1027] = 1.30e-12*RO2*0.2
	rate_values[1028] = KAPHO2*0.41
	rate_values[1029] = KAPHO2*0.44
	rate_values[1030] = KAPHO2*0.15
	rate_values[1031] = KAPNO
	rate_values[1032] = KFPAN
	rate_values[1033] = KRO2NO3*1.74
	rate_values[1034] = 1.00e-11*RO2*0.7
	rate_values[1035] = 1.00e-11*RO2*0.3
	rate_values[1036] = 1.76e-11
	rate_values[1037] = J[22]
	rate_values[1038] = J[35]
	rate_values[1039] = J[41]
	rate_values[1040] = KDEC
	rate_values[1041] = J[15]
	rate_values[1042] = KNO3AL*5.5
	rate_values[1043] = 2.63e-11
	rate_values[1044] = KRO2HO2*0.859
	rate_values[1045] = KRO2NO
	rate_values[1046] = KRO2NO3
	rate_values[1047] = 8.80e-13*RO2
	rate_values[1048] = 7.49e-11
	rate_values[1049] = J[41]
	rate_values[1050] = J[15]
	rate_values[1051] = KDEC
	rate_values[1052] = J[15]
	rate_values[1053] = J[35]
	rate_values[1054] = KNO3AL*5.5
	rate_values[1055] = 6.65e-11
	rate_values[1056] = KAPHO2*0.15
	rate_values[1057] = KAPHO2*0.41
	rate_values[1058] = KAPHO2*0.44
	rate_values[1059] = KAPNO
	rate_values[1060] = KFPAN
	rate_values[1061] = KRO2NO3*1.74
	rate_values[1062] = 1.00e-11*RO2*0.3
	rate_values[1063] = 1.00e-11*RO2*0.7
	rate_values[1064] = KRO2NO*0.043
	rate_values[1065] = KRO2HO2*0.625
	rate_values[1066] = KRO2NO*0.957
	rate_values[1067] = KRO2NO3
	rate_values[1068] = 8.80e-13*0.2*RO2
	rate_values[1069] = 8.80e-13*0.6*RO2
	rate_values[1070] = 8.80e-13*0.2*RO2
	rate_values[1071] = 7.55e-11
	rate_values[1072] = J[41]
	rate_values[1073] = J[22]
	rate_values[1074] = J[15]
	rate_values[1075] = 7.19e-11
	rate_values[1076] = KBPAN
	rate_values[1077] = 8.33e-11
	rate_values[1078] = J[41]
	rate_values[1079] = J[22]
	rate_values[1080] = J[15]
	rate_values[1081] = KDEC
	rate_values[1082] = 2.39e-11
	rate_values[1083] = J[22]
	rate_values[1084] = J[15]
	rate_values[1085] = 5.80e-11
	rate_values[1086] = 6.11e-11
	rate_values[1087] = J[41]
	rate_values[1088] = 5.75e-11
	rate_values[1089] = KBPAN
	rate_values[1090] = 3.96e-11
	rate_values[1091] = J[41]
	rate_values[1092] = KDEC
	rate_values[1093] = 3.62e-11
	rate_values[1094] = KRO2HO2*0.706
	rate_values[1095] = KRO2NO
	rate_values[1096] = KRO2NO3
	rate_values[1097] = 9.20e-14*RO2*0.7
	rate_values[1098] = 9.20e-14*RO2*0.3
	rate_values[1099] = 5.26e-11
	rate_values[1100] = J[41]
	rate_values[1101] = 3.51e-11
	rate_values[1102] = KDEC
	rate_values[1103] = 4.91e-11
	rate_values[1104] = J[41]
	rate_values[1105] = 1.15e-10*0.22
	rate_values[1106] = 1.15e-10*0.75
	rate_values[1107] = 1.15e-10*0.03
	rate_values[1108] = J[54]
	rate_values[1109] = 7.00e-19*0.50
	rate_values[1110] = 7.00e-19*0.50
	rate_values[1111] = 4.15e-11
	rate_values[1112] = KDEC
	rate_values[1113] = 2.00e-12*O2
	rate_values[1114] = 3.50e-12*O2
	rate_values[1115] = J[24]
	rate_values[1116] = 3.81e-11
	rate_values[1117] = 7.38e-11
	rate_values[1118] = 2.50e-12*numpy.exp(-480/TEMP)*O2
	rate_values[1119] = 3.50e-12*O2
	rate_values[1120] = KNO3AL*8.5
	rate_values[1121] = 3.30e-13
	rate_values[1122] = 1.30e-17*0.330
	rate_values[1123] = 1.30e-17*0.670
	rate_values[1124] = 8.26e-11*0.288
	rate_values[1125] = 8.26e-11*0.712
	rate_values[1126] = KAPHO2*0.15
	rate_values[1127] = KAPHO2*0.41
	rate_values[1128] = KAPHO2*0.44
	rate_values[1129] = KAPNO
	rate_values[1130] = KFPAN
	rate_values[1131] = KRO2NO3*1.74
	rate_values[1132] = 1.00e-11*RO2*0.3
	rate_values[1133] = 1.00e-11*RO2*0.7
	rate_values[1134] = 7.90e-11
	rate_values[1135] = J[41]
	rate_values[1136] = KDEC
	rate_values[1137] = 6.64e-11
	rate_values[1138] = J[22]
	rate_values[1139] = 6.69e-11
	rate_values[1140] = 5.71e-12
	rate_values[1141] = J[41]
	rate_values[1142] = J[22]
	rate_values[1143] = 9.17e-12
	rate_values[1144] = KBPAN
	rate_values[1145] = 1.90e-12
	rate_values[1146] = KAPHO2*0.15
	rate_values[1147] = KAPHO2*0.41
	rate_values[1148] = KAPHO2*0.44
	rate_values[1149] = KAPNO
	rate_values[1150] = KFPAN
	rate_values[1151] = KRO2NO3*1.74
	rate_values[1152] = 1.00e-11*0.3*RO2
	rate_values[1153] = 1.00e-11*0.7*RO2
	rate_values[1154] = 1.34e-12*0.44
	rate_values[1155] = 1.34e-12*0.15
	rate_values[1156] = 4.42e-12*0.15
	rate_values[1157] = 4.42e-12*0.85
	rate_values[1158] = J[41]
	rate_values[1159] = 8.21e-13
	rate_values[1160] = KBPAN
	rate_values[1161] = KAPHO2*0.44
	rate_values[1162] = KAPHO2*0.15
	rate_values[1163] = KAPHO2*0.41
	rate_values[1164] = KAPNO
	rate_values[1165] = KFPAN
	rate_values[1166] = KRO2NO3*1.74
	rate_values[1167] = 1.00e-11*RO2*0.7
	rate_values[1168] = 1.00e-11*RO2*0.3
	rate_values[1169] = J[21]
	rate_values[1170] = 1.23e-12*0.32
	rate_values[1171] = 1.23e-12*0.68
	rate_values[1172] = 4.31e-12*0.09
	rate_values[1173] = 4.31e-12*0.91
	rate_values[1174] = J[41]
	rate_values[1175] = 6.70e-13
	rate_values[1176] = J[56]
	rate_values[1177] = 7.10e-13
	rate_values[1178] = KBPAN
	rate_values[1179] = 6.99e-11
	rate_values[1180] = J[41]
	rate_values[1181] = J[17]
	rate_values[1182] = 6.64e-11
	rate_values[1183] = KBPAN
	rate_values[1184] = KAPHO2*0.15
	rate_values[1185] = KAPHO2*0.41
	rate_values[1186] = KAPHO2*0.44
	rate_values[1187] = KAPNO
	rate_values[1188] = KFPAN
	rate_values[1189] = KRO2NO3*1.74
	rate_values[1190] = 1.00e-11*0.3*RO2
	rate_values[1191] = 1.00e-11*0.7*RO2
	rate_values[1192] = KAPHO2*0.44
	rate_values[1193] = KAPHO2*0.15
	rate_values[1194] = KAPHO2*0.41
	rate_values[1195] = KAPNO
	rate_values[1196] = KFPAN
	rate_values[1197] = KRO2NO3*1.74
	rate_values[1198] = 1.00e-11*0.7*RO2
	rate_values[1199] = 1.00e-11*0.3*RO2
	rate_values[1200] = J[31]
	rate_values[1201] = J[33]
	rate_values[1202] = J[32]
	rate_values[1203] = KNO3AL
	rate_values[1204] = 3.1e-12*numpy.exp(340/TEMP)
	rate_values[1205] = 4.83e-11
	rate_values[1206] = J[41]
	rate_values[1207] = 3.17e-11
	rate_values[1208] = J[53]
	rate_values[1209] = KDEC
	rate_values[1210] = 3.92e-11
	rate_values[1211] = 2.16e-11
	rate_values[1212] = J[41]
	rate_values[1213] = KRO2HO2*0.859
	rate_values[1214] = KRO2NO*0.138
	rate_values[1215] = KRO2NO*0.862
	rate_values[1216] = KRO2NO3
	rate_values[1217] = 1.30e-12*RO2*0.2
	rate_values[1218] = 1.30e-12*RO2*0.6
	rate_values[1219] = 1.30e-12*RO2*0.2
	rate_values[1220] = 1.85e-11
	rate_values[1221] = 1.80e-11
	rate_values[1222] = KBPAN
	rate_values[1223] = 3.22e-12
	rate_values[1224] = J[22]
	rate_values[1225] = 5.42e-11
	rate_values[1226] = J[35]
	rate_values[1227] = J[41]
	rate_values[1228] = KDEC
	rate_values[1229] = J[15]*2
	rate_values[1230] = 2*KNO3AL*2.4
	rate_values[1231] = 4.29e-11
	rate_values[1232] = KRO2HO2*0.625
	rate_values[1233] = KRO2NO
	rate_values[1234] = KRO2NO3
	rate_values[1235] = 2.00e-12*0.6*RO2
	rate_values[1236] = 2.00e-12*0.2*RO2
	rate_values[1237] = 2.00e-12*0.2*RO2
	rate_values[1238] = KAPHO2*0.15
	rate_values[1239] = KAPHO2*0.41
	rate_values[1240] = KAPHO2*0.44
	rate_values[1241] = KAPNO
	rate_values[1242] = KFPAN
	rate_values[1243] = KRO2NO3*1.74
	rate_values[1244] = 1.00e-11*0.3*RO2
	rate_values[1245] = 1.00e-11*0.7*RO2
	rate_values[1246] = KAPHO2*0.44
	rate_values[1247] = KAPHO2*0.56
	rate_values[1248] = KAPNO
	rate_values[1249] = KFPAN
	rate_values[1250] = KRO2NO3*1.74
	rate_values[1251] = 1.00e-11*RO2
	rate_values[1252] = 1.48e-11
	rate_values[1253] = 1.79e-11
	rate_values[1254] = J[41]
	rate_values[1255] = 1.43e-11
	rate_values[1256] = KBPAN
	rate_values[1257] = 1.33e-12*0.33
	rate_values[1258] = 1.33e-12*0.67
	rate_values[1259] = J[56]*1.6
	rate_values[1260] = J[41]
	rate_values[1261] = 3.95e-11
	rate_values[1262] = KDEC
	rate_values[1263] = J[35]
	rate_values[1264] = 2.69e-12
	rate_values[1265] = J[22]
	rate_values[1266] = 1.88e-11
	rate_values[1267] = 2*KNO3AL*4.0
	rate_values[1268] = 3.39e-11
	rate_values[1269] = J[15]
	rate_values[1270] = J[34]
	rate_values[1271] = KRO2HO2*0.387
	rate_values[1272] = KRO2NO
	rate_values[1273] = KRO2NO3
	rate_values[1274] = 2.00e-12*0.2*RO2
	rate_values[1275] = 2.00e-12*0.6*RO2
	rate_values[1276] = 2.00e-12*0.2*RO2
	rate_values[1277] = 3.74e-11
	rate_values[1278] = J[15]
	rate_values[1279] = J[41]
	rate_values[1280] = J[22]
	rate_values[1281] = KDEC*0.5
	rate_values[1282] = KDEC*0.5
	rate_values[1283] = 3.40e-11
	rate_values[1284] = J[15]
	rate_values[1285] = J[22]
	rate_values[1286] = 1.16e-11*0.370
	rate_values[1287] = 1.16e-11*0.370
	rate_values[1288] = 1.16e-11*0.150
	rate_values[1289] = 1.16e-11*0.055
	rate_values[1290] = 1.16e-11*0.055
	rate_values[1291] = KDEC*0.18
	rate_values[1292] = KDEC*0.82
	rate_values[1293] = KDEC*0.18
	rate_values[1294] = KDEC*0.82
	rate_values[1295] = KRO2HO2*0.706
	rate_values[1296] = KRO2NO*0.104
	rate_values[1297] = KRO2NO*0.896
	rate_values[1298] = KRO2NO3
	rate_values[1299] = 8.00e-13*0.8*RO2
	rate_values[1300] = 8.00e-13*0.2*RO2
	rate_values[1301] = KRO2HO2*0.706
	rate_values[1302] = KRO2NO*0.913
	rate_values[1303] = KRO2NO*0.087
	rate_values[1304] = KRO2NO3
	rate_values[1305] = 3.06e15*numpy.exp(-10254/TEMP)
	rate_values[1306] = 2.00e-12*0.8*RO2
	rate_values[1307] = 2.00e-12*0.1*RO2
	rate_values[1308] = 2.00e-12*0.1*RO2
	rate_values[1309] = KRO2HO2*0.706
	rate_values[1310] = KRO2NO
	rate_values[1311] = KRO2NO3
	rate_values[1312] = 9.20e-14*RO2
	rate_values[1313] = KRO2HO2*0.706
	rate_values[1314] = KRO2NO*0.913
	rate_values[1315] = KRO2NO*0.087
	rate_values[1316] = KRO2NO3
	rate_values[1317] = 2.00e-12*0.8*RO2
	rate_values[1318] = 2.00e-12*0.1*RO2
	rate_values[1319] = 2.00e-12*0.1*RO2
	rate_values[1320] = 2.13e14*numpy.exp(-9984/TEMP)
	rate_values[1321] = KRO2HO2*0.820
	rate_values[1322] = KRO2NO
	rate_values[1323] = KRO2NO3
	rate_values[1324] = 9.20e-14*RO2*0.7
	rate_values[1325] = 9.20e-14*RO2*0.3
	rate_values[1326] = KNO3AL*8.5
	rate_values[1327] = 3.50e-11
	rate_values[1328] = KDEC
	rate_values[1329] = KRO2HO2*0.820
	rate_values[1330] = KRO2NO*0.056
	rate_values[1331] = KRO2NO*0.944
	rate_values[1332] = KRO2NO3
	rate_values[1333] = 9.20e-14*RO2*0.7
	rate_values[1334] = 9.20e-14*RO2*0.3
	rate_values[1335] = 5.94e-11
	rate_values[1336] = 6.25e-11
	rate_values[1337] = J[41]
	rate_values[1338] = KRO2HO2*0.770
	rate_values[1339] = KRO2NO*0.209
	rate_values[1340] = KRO2NO*0.791
	rate_values[1341] = KRO2NO3
	rate_values[1342] = 2.50e-13*RO2*0.2
	rate_values[1343] = 2.50e-13*RO2*0.6
	rate_values[1344] = 2.50e-13*RO2*0.2
	rate_values[1345] = 5.89e-11
	rate_values[1346] = KBPAN
	rate_values[1347] = 3.70e-12
	rate_values[1348] = J[56]*10
	rate_values[1349] = 6.78e-12
	rate_values[1350] = J[56]*10
	rate_values[1351] = 3.18e-12
	rate_values[1352] = KBPAN
	rate_values[1353] = J[56]*10
	rate_values[1354] = 1.72e-12
	rate_values[1355] = J[41]
	rate_values[1356] = 4.80e-12
	rate_values[1357] = KBPAN
	rate_values[1358] = 4.75e-13
	rate_values[1359] = 2.16e-11
	rate_values[1360] = J[17]
	rate_values[1361] = 2.47e-11
	rate_values[1362] = J[41]
	rate_values[1363] = J[17]
	rate_values[1364] = 2.11e-11
	rate_values[1365] = KBPAN
	rate_values[1366] = J[17]
	rate_values[1367] = 1.39e-11
	rate_values[1368] = J[41]
	rate_values[1369] = 1.73e-11
	rate_values[1370] = KBPAN
	rate_values[1371] = 4.51e-12
	rate_values[1372] = 2.73e-12
	rate_values[1373] = 6.19e-12
	rate_values[1374] = J[41]
	rate_values[1375] = 1.12e-12
	rate_values[1376] = KBPAN
	rate_values[1377] = 7.00e11*numpy.exp(-3160/TEMP)
	rate_values[1378] = 5.00e-12*O2
	rate_values[1379] = 5.00e-12*O2*3.2*(1-numpy.exp(-550/TEMP))
	rate_values[1380] = 5.00e-12*O2*3.2*numpy.exp(-550/TEMP)
	rate_values[1381] = KRO2HO2*0.859
	rate_values[1382] = KRO2NO
	rate_values[1383] = KRO2NO3
	rate_values[1384] = 8.80e-12*RO2*0.2
	rate_values[1385] = 8.80e-12*RO2*0.6
	rate_values[1386] = 8.80e-12*RO2*0.2
	rate_values[1387] = 4.95e-11
	rate_values[1388] = J[41]
	rate_values[1389] = 7.97e-12
	rate_values[1390] = J[53]
	rate_values[1391] = KDEC
	rate_values[1392] = 2.81e-11
	rate_values[1393] = J[15]
	rate_values[1394] = 2.82e-11
	rate_values[1395] = KNO3AL*5.5
	rate_values[1396] = 1.33e-11
	rate_values[1397] = J[34]
	rate_values[1398] = J[41]
	rate_values[1399] = J[35]
	rate_values[1400] = 1.90e-12*numpy.exp(190/TEMP)
	rate_values[1401] = 5.99e-12
	rate_values[1402] = KDEC
	rate_values[1403] = J[34]
	rate_values[1404] = J[35]
	rate_values[1405] = KNO3AL*4.0
	rate_values[1406] = 1.23e-11
	rate_values[1407] = J[15]
	rate_values[1408] = 2.14e-11
	rate_values[1409] = J[41]
	rate_values[1410] = J[15]
	rate_values[1411] = 2.49e-11
	rate_values[1412] = KBPAN
	rate_values[1413] = 2.10e-11
	rate_values[1414] = J[41]
	rate_values[1415] = J[15]
	rate_values[1416] = 4.23e-12
	rate_values[1417] = KBPAN
	rate_values[1418] = 3.12e-13
	rate_values[1419] = 7.20e-12
	rate_values[1420] = J[56]*10
	rate_values[1421] = KAPHO2*0.56
	rate_values[1422] = KAPHO2*0.44
	rate_values[1423] = KAPNO
	rate_values[1424] = KFPAN
	rate_values[1425] = KRO2NO3*1.74
	rate_values[1426] = 1.00e-11*RO2
	rate_values[1427] = KRO2HO2*0.520
	rate_values[1428] = KRO2NO
	rate_values[1429] = KRO2NO3
	rate_values[1430] = 2.00e-12*RO2
	rate_values[1431] = 2.91e-11
	rate_values[1432] = 1.90e-12*numpy.exp(190/TEMP)
	rate_values[1433] = J[41]
	rate_values[1434] = J[15]
	rate_values[1435] = KDEC
	rate_values[1436] = J[34]
	rate_values[1437] = KNO3AL*2.4
	rate_values[1438] = 1.44e-11
	rate_values[1439] = KRO2HO2*0.706
	rate_values[1440] = KRO2NO*0.019
	rate_values[1441] = KRO2NO*0.981
	rate_values[1442] = KRO2NO3
	rate_values[1443] = 9.20e-14*0.7*RO2
	rate_values[1444] = 9.20e-14*0.3*RO2
	rate_values[1445] = K14ISOM1
	rate_values[1446] = KRO2HO2*0.706
	rate_values[1447] = KRO2NO*0.065
	rate_values[1448] = KRO2NO*0.935
	rate_values[1449] = KRO2NO3
	rate_values[1450] = 8.80e-13*RO2
	rate_values[1451] = K14ISOM1
	rate_values[1452] = 2.01e-11
	rate_values[1453] = 2.01e-11
	rate_values[1454] = 1.2e-15
	rate_values[1455] = 1.0e-14
	rate_values[1456] = 1.0e-15
	rate_values[1457] = 7.0e-14
	rate_values[1458] = 6.0e-18*H2O
	rate_values[1459] = 9.20e-12*0.61
	rate_values[1460] = 9.20e-12*0.39
	rate_values[1461] = J[41]
	rate_values[1462] = 1.63e-12*0.50
	rate_values[1463] = 1.63e-12*0.50
	rate_values[1464] = 5.60e-12
	rate_values[1465] = J[41]
	rate_values[1466] = 1.54e-10*0.05
	rate_values[1467] = 1.54e-10*0.93
	rate_values[1468] = 1.54e-10*0.02
	rate_values[1469] = KDEC*0.30
	rate_values[1470] = KDEC*0.52
	rate_values[1471] = KDEC*0.18
	rate_values[1472] = J[53]
	rate_values[1473] = 4.10e-17*0.50
	rate_values[1474] = 4.10e-17*0.50
	rate_values[1475] = 1.12e-10
	rate_values[1476] = KRO2HO2*0.706
	rate_values[1477] = KRO2NO
	rate_values[1478] = KRO2NO3
	rate_values[1479] = 8.80e-13*RO2
	rate_values[1480] = K14ISOM1
	rate_values[1481] = KNO3AL*4.25
	rate_values[1482] = 2.40e-17*0.27
	rate_values[1483] = 2.40e-17*0.73
	rate_values[1484] = 5.20e-11*0.256
	rate_values[1485] = 5.20e-11*0.385
	rate_values[1486] = 5.20e-11*0.359
	rate_values[1487] = J[20]*0.5
	rate_values[1488] = J[20]*0.5
	rate_values[1489] = J[18]
	rate_values[1490] = J[19]
	rate_values[1491] = KNO3AL*4.25
	rate_values[1492] = 2.40e-17*0.5
	rate_values[1493] = 2.40e-17*0.5
	rate_values[1494] = 6.42e-11*0.051
	rate_values[1495] = 6.42e-11*0.247
	rate_values[1496] = 6.42e-11*0.452
	rate_values[1497] = 6.42e-11*0.250
	rate_values[1498] = 9.30e-11*0.5
	rate_values[1499] = 9.30e-11*0.5
	rate_values[1500] = J[41]
	rate_values[1501] = J[22]
	rate_values[1502] = 3.60e-12
	rate_values[1503] = 1.57e-11
	rate_values[1504] = KDEC
	rate_values[1505] = 3.58e-11
	rate_values[1506] = J[41]
	rate_values[1507] = KDEC
	rate_values[1508] = 3.34e-11
	rate_values[1509] = KAPHO2*0.15
	rate_values[1510] = KAPHO2*0.41
	rate_values[1511] = KAPHO2*0.44
	rate_values[1512] = KAPNO
	rate_values[1513] = KFPAN
	rate_values[1514] = KRO2NO3*1.74
	rate_values[1515] = 1.00e-11*RO2*0.3
	rate_values[1516] = 1.00e-11*RO2*0.7
	rate_values[1517] = KRO2HO2*0.770
	rate_values[1518] = KRO2NO
	rate_values[1519] = KRO2NO3
	rate_values[1520] = 9.20e-14*RO2*0.7
	rate_values[1521] = 9.20e-14*RO2*0.3
	rate_values[1522] = 4.00e-11
	rate_values[1523] = J[41]
	rate_values[1524] = 3.09e-11
	rate_values[1525] = KDEC
	rate_values[1526] = 3.66e-11
	rate_values[1527] = 1.10e-10
	rate_values[1528] = J[41]
	rate_values[1529] = 2.92e-11
	rate_values[1530] = J[54]
	rate_values[1531] = KROSEC*O2
	rate_values[1532] = 4.00e+14*numpy.exp(-6990/TEMP)
	rate_values[1533] = 6.04e-11
	rate_values[1534] = J[22]
	rate_values[1535] = 9.53e-11
	rate_values[1536] = J[34]
	rate_values[1537] = 8.0e-13
	rate_values[1538] = 3.69e-12
	rate_values[1539] = J[41]
	rate_values[1540] = J[35]
	rate_values[1541] = 1.02e-13
	rate_values[1542] = KBPAN
	rate_values[1543] = J[34]
	rate_values[1544] = 1.23e-11
	rate_values[1545] = KAPHO2*0.15
	rate_values[1546] = KAPHO2*0.41
	rate_values[1547] = KAPHO2*0.44
	rate_values[1548] = KAPNO
	rate_values[1549] = KFPAN
	rate_values[1550] = KRO2NO3*1.74
	rate_values[1551] = 1.00e-11*0.3*RO2
	rate_values[1552] = 1.00e-11*0.7*RO2
	rate_values[1553] = J[41]
	rate_values[1554] = J[15]
	rate_values[1555] = 1.58e-11
	rate_values[1556] = KAPHO2*0.15
	rate_values[1557] = KAPHO2*0.41
	rate_values[1558] = KAPHO2*0.44
	rate_values[1559] = KAPNO
	rate_values[1560] = KFPAN
	rate_values[1561] = KRO2NO3*1.74
	rate_values[1562] = 1.00e-11*0.7*RO2
	rate_values[1563] = 1.00e-11*0.3*RO2
	rate_values[1564] = 5.51e-11
	rate_values[1565] = J[41]
	rate_values[1566] = KDEC
	rate_values[1567] = 2.28e-11
	rate_values[1568] = J[34]
	rate_values[1569] = 4.30e-11
	rate_values[1570] = KRO2HO2*0.859
	rate_values[1571] = KRO2NO
	rate_values[1572] = KRO2NO3
	rate_values[1573] = 8.80e-12*RO2*0.2
	rate_values[1574] = 8.80e-12*RO2*0.6
	rate_values[1575] = 8.80e-12*RO2*0.2
	rate_values[1576] = KAPHO2*0.56
	rate_values[1577] = KAPHO2*0.44
	rate_values[1578] = KAPNO
	rate_values[1579] = KFPAN
	rate_values[1580] = KRO2NO3*1.74
	rate_values[1581] = 1.00e-11*RO2
	rate_values[1582] = 1.63e-11
	rate_values[1583] = J[41]
	rate_values[1584] = J[34]
	rate_values[1585] = 1.27e-11
	rate_values[1586] = KBPAN
	rate_values[1587] = 2.41e-11
	rate_values[1588] = J[41]
	rate_values[1589] = J[34]
	rate_values[1590] = KDEC
	rate_values[1591] = J[41]
	rate_values[1592] = 3.16e-11
	rate_values[1593] = 9.37e-12*0.54
	rate_values[1594] = 9.37e-12*0.46
	rate_values[1595] = J[56]*10
	rate_values[1596] = KDEC
	rate_values[1597] = 3.04e-11
	rate_values[1598] = 3.70e-11
	rate_values[1599] = J[41]
	rate_values[1600] = 8.14e-12
	rate_values[1601] = J[56]*10
	rate_values[1602] = KDEC
	rate_values[1603] = KRO2HO2*0.706
	rate_values[1604] = KRO2NO
	rate_values[1605] = KRO2NO3
	rate_values[1606] = 9.20e-14*RO2*0.30
	rate_values[1607] = 9.20e-14*RO2*0.70
	rate_values[1608] = 2.58e-11
	rate_values[1609] = J[56]*4
	rate_values[1610] = J[56]*10
	rate_values[1611] = 1.85e-11
	rate_values[1612] = J[56]*10
	rate_values[1613] = 1.85e-11
	rate_values[1614] = 2.27e-11
	rate_values[1615] = J[56]*4
	rate_values[1616] = 1.50e-11*0.719
	rate_values[1617] = 1.50e-11*0.281
	rate_values[1618] = KRO2HO2*0.706
	rate_values[1619] = KRO2NO*0.065
	rate_values[1620] = KRO2NO*0.935
	rate_values[1621] = KRO2NO3
	rate_values[1622] = 8.80e-13*RO2
	rate_values[1623] = K14ISOM1
	rate_values[1624] = J[18]
	rate_values[1625] = J[19]
	rate_values[1626] = KNO3AL*4.25
	rate_values[1627] = 2.40e-17*0.5
	rate_values[1628] = 2.40e-17*0.5
	rate_values[1629] = 6.42e-11*0.051
	rate_values[1630] = 6.42e-11*0.247
	rate_values[1631] = 6.42e-11*0.452
	rate_values[1632] = 6.42e-11*0.250
	rate_values[1633] = 1.90e-11
	rate_values[1634] = 2.00e-17
	rate_values[1635] = 9.00e-11
	rate_values[1636] = KDEC*0.11
	rate_values[1637] = KDEC*0.89
	rate_values[1638] = KDEC*0.11
	rate_values[1639] = KDEC*0.89
	rate_values[1640] = KRO2HO2*0.706
	rate_values[1641] = KRO2NO*0.104
	rate_values[1642] = KRO2NO*0.896
	rate_values[1643] = KRO2NO3
	rate_values[1644] = 2.90e-12*0.1*RO2
	rate_values[1645] = 2.90e-12*0.8*RO2
	rate_values[1646] = 2.90e-12*0.1*RO2
	rate_values[1647] = 5.64e-11
	rate_values[1648] = J[41]
	rate_values[1649] = J[17]
	rate_values[1650] = J[41]*2
	rate_values[1651] = KDEC
	rate_values[1652] = 3.77e-11*0.32
	rate_values[1653] = 3.77e-11*0.68
	rate_values[1654] = J[41]
	rate_values[1655] = J[15]
	rate_values[1656] = J[41]
	rate_values[1657] = 2.40e-17*0.73
	rate_values[1658] = 2.40e-17*0.27
	rate_values[1659] = 4.72e-11
	rate_values[1660] = J[20]*2
	rate_values[1661] = KDEC*0.11
	rate_values[1662] = KDEC*0.89
	rate_values[1663] = KDEC
	rate_values[1664] = KNO3AL*4.25
	rate_values[1665] = KNO3AL*4.25
	rate_values[1666] = 5.00e-18*0.50
	rate_values[1667] = 5.00e-18*0.50
	rate_values[1668] = 4.41e-11*0.385
	rate_values[1669] = 4.41e-11*0.23
	rate_values[1670] = 4.41e-11*0.385
	rate_values[1671] = J[4]*0.2*0.3
	rate_values[1672] = J[4]*0.2*0.3
	rate_values[1673] = J[4]*0.2*0.4
	rate_values[1674] = KRO2HO2*0.706
	rate_values[1675] = KRO2NO
	rate_values[1676] = KRO2NO3
	rate_values[1677] = 9.20e-14*RO2
	rate_values[1678] = 5.56e-11
	rate_values[1679] = J[20]*0.5
	rate_values[1680] = KAPHO2*0.44
	rate_values[1681] = KAPHO2*0.15
	rate_values[1682] = KAPHO2*0.41
	rate_values[1683] = KAPNO
	rate_values[1684] = KFPAN
	rate_values[1685] = KRO2NO3*1.74
	rate_values[1686] = 1.00e-11*0.7*RO2
	rate_values[1687] = 1.00e-11*0.3*RO2
	rate_values[1688] = KDEC*0.11
	rate_values[1689] = KDEC*0.89
	rate_values[1690] = KRO2HO2*0.706
	rate_values[1691] = KRO2NO*0.935
	rate_values[1692] = KRO2NO*0.065
	rate_values[1693] = KRO2NO3
	rate_values[1694] = 8.80e-13*RO2
	rate_values[1695] = J[17]
	rate_values[1696] = J[22]
	rate_values[1697] = 2.73e-11
	rate_values[1698] = 1.06e-11
	rate_values[1699] = 1.37e-11
	rate_values[1700] = J[41]
	rate_values[1701] = J[22]
	rate_values[1702] = KRO2HO2*0.706
	rate_values[1703] = KRO2NO
	rate_values[1704] = KRO2NO3
	rate_values[1705] = 8.80e-13*RO2*0.6
	rate_values[1706] = 8.80e-13*RO2*0.2
	rate_values[1707] = 8.80e-13*RO2*0.2
	rate_values[1708] = 1.01e-11
	rate_values[1709] = KBPAN
	rate_values[1710] = 3.31e-11
	rate_values[1711] = J[41]
	rate_values[1712] = J[15]
	rate_values[1713] = J[22]
	rate_values[1714] = KDEC*0.5
	rate_values[1715] = KDEC*0.5
	rate_values[1716] = 2.97e-11
	rate_values[1717] = J[15]
	rate_values[1718] = J[22]
	rate_values[1719] = KRO2HO2*0.770
	rate_values[1720] = KRO2NO
	rate_values[1721] = KRO2NO3
	rate_values[1722] = 9.20e-14*RO2*0.7
	rate_values[1723] = 9.20e-14*RO2*0.3
	rate_values[1724] = KAPHO2*0.44
	rate_values[1725] = KAPHO2*0.56
	rate_values[1726] = KAPNO
	rate_values[1727] = KFPAN
	rate_values[1728] = KRO2NO3*1.74
	rate_values[1729] = 1.00e-11*RO2
	rate_values[1730] = 4.16e-11
	rate_values[1731] = J[41]
	rate_values[1732] = KDEC
	rate_values[1733] = 2.43e-11
	rate_values[1734] = J[22]
	rate_values[1735] = 2.95e-11
	rate_values[1736] = 4.11e-12
	rate_values[1737] = J[41]
	rate_values[1738] = 5.10e-13
	rate_values[1739] = KBPAN
	rate_values[1740] = J[56]*10
	rate_values[1741] = 5.77e-11
	rate_values[1742] = J[15]*2
	rate_values[1743] = 2.53e-11*0.86
	rate_values[1744] = 2.53e-11*0.14
	rate_values[1745] = J[56]*10
	rate_values[1746] = KAPHO2*0.15
	rate_values[1747] = KAPHO2*0.41
	rate_values[1748] = KAPHO2*0.44
	rate_values[1749] = KAPNO
	rate_values[1750] = KFPAN
	rate_values[1751] = KRO2NO3*1.74
	rate_values[1752] = KRO2NO3*1.74
	rate_values[1753] = 1.00e-11*0.3*RO2
	rate_values[1754] = 1.00e-11*0.7*RO2
	rate_values[1755] = 2.49e-11
	rate_values[1756] = J[56]*10
	rate_values[1757] = 4.58e-11
	rate_values[1758] = J[41]
	rate_values[1759] = J[17]*2
	rate_values[1760] = KDEC
	rate_values[1761] = 5.70e-11
	rate_values[1762] = J[17]*2
	rate_values[1763] = KAPHO2*0.56
	rate_values[1764] = KAPHO2*0.44
	rate_values[1765] = KAPNO
	rate_values[1766] = KFPAN
	rate_values[1767] = KRO2NO3*1.74
	rate_values[1768] = 1.00e-11*RO2
	rate_values[1769] = KAPHO2*0.15
	rate_values[1770] = KAPHO2*0.41
	rate_values[1771] = KAPHO2*0.44
	rate_values[1772] = KAPNO
	rate_values[1773] = KFPAN
	rate_values[1774] = KRO2NO3*1.74
	rate_values[1775] = 1.00e-11*0.3*RO2
	rate_values[1776] = 1.00e-11*0.7*RO2
	rate_values[1777] = KAPHO2*0.15
	rate_values[1778] = KAPHO2*0.41
	rate_values[1779] = KAPHO2*0.44
	rate_values[1780] = KAPNO
	rate_values[1781] = KFPAN
	rate_values[1782] = KRO2NO3*1.74
	rate_values[1783] = 1.00e-11*0.3*RO2
	rate_values[1784] = 1.00e-11*0.7*RO2
	rate_values[1785] = KAPHO2*0.56
	rate_values[1786] = KAPHO2*0.44
	rate_values[1787] = KAPNO
	rate_values[1788] = KFPAN
	rate_values[1789] = KRO2NO3*1.74
	rate_values[1790] = 1.00e-11*RO2
	rate_values[1791] = J[15]
	rate_values[1792] = KNO3AL*7.5
	rate_values[1793] = 2.76e-11
	rate_values[1794] = 4.74e-11
	rate_values[1795] = J[41]*2
	rate_values[1796] = J[17]
	rate_values[1797] = 1.18e-11
	rate_values[1798] = J[56]*10
	rate_values[1799] = KDEC
	rate_values[1800] = KAPHO2*0.44
	rate_values[1801] = KAPHO2*0.15
	rate_values[1802] = KAPHO2*0.41
	rate_values[1803] = KAPNO
	rate_values[1804] = KFPAN
	rate_values[1805] = KRO2NO3*1.74
	rate_values[1806] = 1.00e-11*0.7*RO2
	rate_values[1807] = 1.00e-11*0.3*RO2
	rate_values[1808] = KDEC*0.11
	rate_values[1809] = KDEC*0.89
	rate_values[1810] = KRO2HO2*0.706
	rate_values[1811] = KRO2NO*0.019
	rate_values[1812] = KRO2NO*0.981
	rate_values[1813] = KRO2NO3
	rate_values[1814] = 9.20e-14*0.7*RO2
	rate_values[1815] = 9.20e-14*0.3*RO2
	rate_values[1816] = KDEC*0.6
	rate_values[1817] = KDEC*0.4
	rate_values[1818] = 1.2e-15
	rate_values[1819] = 1.0e-14
	rate_values[1820] = 1.0e-15
	rate_values[1821] = 7.0e-14
	rate_values[1822] = 6.0e-18*H2O
	rate_values[1823] = 1.0e-17*H2O
	rate_values[1824] = 1.2e-15
	rate_values[1825] = 1.0e-14
	rate_values[1826] = 1.0e-15
	rate_values[1827] = 7.0e-14
	rate_values[1828] = 6.0e-18*H2O
	rate_values[1829] = J[41]
	rate_values[1830] = 3.31e-11*0.89
	rate_values[1831] = 3.31e-11*0.11
	rate_values[1832] = 1.98e-12*0.445
	rate_values[1833] = 1.98e-12*0.414
	rate_values[1834] = 1.98e-12*0.141
	rate_values[1835] = KDEC
	rate_values[1836] = J[56]*0.91
	rate_values[1837] = 3.30e-12
	rate_values[1838] = 1.53e-11
	rate_values[1839] = 7.83e-11
	rate_values[1840] = J[41]
	rate_values[1841] = J[22]
	rate_values[1842] = J[17]
	rate_values[1843] = 1.35e-10
	rate_values[1844] = J[41]
	rate_values[1845] = J[17]*2
	rate_values[1846] = KDEC
	rate_values[1847] = KRO2HO2*0.706
	rate_values[1848] = KRO2NO
	rate_values[1849] = KRO2NO3
	rate_values[1850] = 9.20e-14*RO2
	rate_values[1851] = 1.2e-15
	rate_values[1852] = 1.0e-14
	rate_values[1853] = 1.0e-15
	rate_values[1854] = 7.0e-14
	rate_values[1855] = 6.0e-18*H2O
	rate_values[1856] = 1.0e-17*H2O
	rate_values[1857] = KAPHO2*0.44
	rate_values[1858] = KAPHO2*0.56
	rate_values[1859] = KAPNO
	rate_values[1860] = KFPAN
	rate_values[1861] = KRO2NO3*1.74
	rate_values[1862] = 1.00e-11*RO2
	rate_values[1863] = KAPHO2*0.41
	rate_values[1864] = KAPHO2*0.44
	rate_values[1865] = KAPHO2*0.15
	rate_values[1866] = KAPNO
	rate_values[1867] = KFPAN
	rate_values[1868] = KRO2NO3*1.74
	rate_values[1869] = 1.00e-11*0.70*RO2
	rate_values[1870] = 1.00e-11*0.30*RO2
	rate_values[1871] = 1.00e-12
	rate_values[1872] = 8.00e-19
	rate_values[1873] = 2.42e-11
	rate_values[1874] = 4.40e-11
	rate_values[1875] = J[15]
	rate_values[1876] = J[41]*2
	rate_values[1877] = KDEC
	rate_values[1878] = 2.52e-11
	rate_values[1879] = J[41]
	rate_values[1880] = 3.84e-11
	rate_values[1881] = KBPAN
	rate_values[1882] = 7.79e-11
	rate_values[1883] = 2.40e-17*0.27
	rate_values[1884] = 2.40e-17*0.73
	rate_values[1885] = 4.72e-11
	rate_values[1886] = J[20]*2
	rate_values[1887] = 4.50e-11
	rate_values[1888] = J[41]
	rate_values[1889] = KDEC
	rate_values[1890] = 2.74e-11
	rate_values[1891] = J[41]
	rate_values[1892] = J[22]
	rate_values[1893] = KDEC
	rate_values[1894] = J[22]
	rate_values[1895] = 1.51e-11
	rate_values[1896] = J[35]
	rate_values[1897] = 1.39e-11
	rate_values[1898] = 3.04e-11
	rate_values[1899] = J[41]
	rate_values[1900] = J[22]
	rate_values[1901] = KDEC
	rate_values[1902] = 2.70e-11
	rate_values[1903] = J[22]
	rate_values[1904] = KAPHO2*0.44
	rate_values[1905] = KAPHO2*0.15
	rate_values[1906] = KAPHO2*0.41
	rate_values[1907] = KAPNO
	rate_values[1908] = KFPAN
	rate_values[1909] = KRO2NO3*1.74
	rate_values[1910] = 1.00e-11*0.7*RO2
	rate_values[1911] = 1.00e-11*0.3*RO2
	rate_values[1912] = KAPHO2*0.44
	rate_values[1913] = KAPHO2*0.15
	rate_values[1914] = KAPHO2*0.41
	rate_values[1915] = KAPNO
	rate_values[1916] = KFPAN
	rate_values[1917] = KRO2NO3*1.74
	rate_values[1918] = 1.00e-11*0.7*RO2
	rate_values[1919] = 1.00e-11*0.3*RO2
	rate_values[1920] = 6.52e-12
	rate_values[1921] = 6.52e-12*0.39
	rate_values[1922] = 6.52e-12*0.61
	rate_values[1923] = J[41]
	rate_values[1924] = 6.00e-12
	rate_values[1925] = KBPAN
	rate_values[1926] = KAPHO2*0.56
	rate_values[1927] = KAPHO2*0.44
	rate_values[1928] = KAPNO
	rate_values[1929] = KFPAN
	rate_values[1930] = KRO2NO3*1.6
	rate_values[1931] = 1.00e-11*RO2
	rate_values[1932] = J[15]
	rate_values[1933] = KNO3AL*4.0
	rate_values[1934] = 2.45e-11
	rate_values[1935] = 8.64e-12
	rate_values[1936] = J[41]*2
	rate_values[1937] = 5.04e-12
	rate_values[1938] = KBPAN
	rate_values[1939] = J[41]
	rate_values[1940] = 1.72e-12
	rate_values[1941] = 5.18e-12
	rate_values[1942] = J[41]
	rate_values[1943] = 1.58e-12
	rate_values[1944] = KBPAN
	rate_values[1945] = 1.73e-12
	rate_values[1946] = 5.19e-12
	rate_values[1947] = J[41]
	rate_values[1948] = 1.59e-12
	rate_values[1949] = KBPAN
	rate_values[1950] = 5.66e-12
	rate_values[1951] = J[41]
	rate_values[1952] = 1.96e-12
	rate_values[1953] = KBPAN
	rate_values[1954] = KAPHO2*0.56
	rate_values[1955] = KAPHO2*0.44
	rate_values[1956] = KAPNO
	rate_values[1957] = KFPAN
	rate_values[1958] = KRO2NO3*1.74
	rate_values[1959] = 1.00e-11*RO2
	rate_values[1960] = 2.52e-11
	rate_values[1961] = J[41]
	rate_values[1962] = 3.84e-11
	rate_values[1963] = KBPAN
	rate_values[1964] = 7.79e-11
	rate_values[1965] = 1.2e-15
	rate_values[1966] = 1.0e-14
	rate_values[1967] = 1.0e-15
	rate_values[1968] = 7.0e-14
	rate_values[1969] = 6.0e-18*H2O
	rate_values[1970] = J[41]
	rate_values[1971] = 3.16e-11
	rate_values[1972] = J[56]*4
	rate_values[1973] = 2.32e-11
	rate_values[1974] = KDEC
	rate_values[1975] = 3.04e-11
	rate_values[1976] = KRO2HO2*0.706
	rate_values[1977] = KRO2NO
	rate_values[1978] = KRO2NO3
	rate_values[1979] = 2.00e-12*RO2
	rate_values[1980] = 1.20e-15
	rate_values[1981] = 1.00e-14
	rate_values[1982] = 1.00e-15
	rate_values[1983] = 7.00e-14
	rate_values[1984] = 6.00e-18*H2O
	rate_values[1985] = 4.52e-12*0.19
	rate_values[1986] = 4.52e-12*0.81
	rate_values[1987] = J[56]*10
	rate_values[1988] = J[34]
	rate_values[1989] = 1.34e-11
	rate_values[1990] = KDEC*0.5
	rate_values[1991] = KDEC*0.5
	rate_values[1992] = KRO2HO2*0.625
	rate_values[1993] = KRO2NO
	rate_values[1994] = KRO2NO3
	rate_values[1995] = 9.20e-14*RO2*0.7
	rate_values[1996] = 9.20e-14*RO2*0.3
	rate_values[1997] = KDEC
	rate_values[1998] = 3.42e-11
	rate_values[1999] = J[41]
	rate_values[2000] = J[41]
	rate_values[2001] = J[15]
	rate_values[2002] = KDEC
	rate_values[2003] = KDEC*0.35
	rate_values[2004] = KDEC*0.65
	rate_values[2005] = 4.37e-11
	rate_values[2006] = KBPAN
	rate_values[2007] = KDEC*0.35
	rate_values[2008] = KDEC*0.65
	rate_values[2009] = 4.38e-11
	rate_values[2010] = J[18]
	rate_values[2011] = J[19]
	rate_values[2012] = 4.37e-11
	rate_values[2013] = KBPAN
	rate_values[2014] = KRO2HO2*0.706
	rate_values[2015] = KRO2NO
	rate_values[2016] = KRO2NO3
	rate_values[2017] = 9.20e-14*RO2
	rate_values[2018] = KRO2HO2*0.625
	rate_values[2019] = KRO2NO
	rate_values[2020] = KRO2NO3
	rate_values[2021] = 2.00e-12*RO2
	rate_values[2022] = KRO2HO2*0.706
	rate_values[2023] = KRO2NO
	rate_values[2024] = KRO2NO3
	rate_values[2025] = 9.20e-14*RO2*0.70
	rate_values[2026] = 9.20e-14*RO2*0.30
	rate_values[2027] = KAPHO2*0.44
	rate_values[2028] = KAPHO2*0.56
	rate_values[2029] = KAPNO
	rate_values[2030] = KFPAN
	rate_values[2031] = KRO2NO3*1.6
	rate_values[2032] = 1.00e-11*RO2
	rate_values[2033] = KDEC
	rate_values[2034] = KRO2HO2*0.706
	rate_values[2035] = KRO2NO
	rate_values[2036] = KRO2NO3
	rate_values[2037] = 9.20e-14*RO2
	rate_values[2038] = J[15]
	rate_values[2039] = KNO3AL*2.4
	rate_values[2040] = 3.06e-11
	rate_values[2041] = 4.93e-12
	rate_values[2042] = J[56]*10
	rate_values[2043] = 8.01e-12
	rate_values[2044] = J[56]*10
	rate_values[2045] = 4.41e-12
	rate_values[2046] = KBPAN
	rate_values[2047] = J[56]*10
	rate_values[2048] = 2.23e-11
	rate_values[2049] = J[56]*4
	rate_values[2050] = 2.59e-11
	rate_values[2051] = J[56]*4
	rate_values[2052] = 2.18e-11
	rate_values[2053] = KBPAN
	rate_values[2054] = J[56]*4
	rate_values[2055] = 7.71e-12
	rate_values[2056] = J[56]*10
	rate_values[2057] = 4.11e-12
	rate_values[2058] = KBPAN
	rate_values[2059] = J[56]*10
	rate_values[2060] = KAPHO2*0.56
	rate_values[2061] = KAPHO2*0.44
	rate_values[2062] = KAPNO
	rate_values[2063] = KFPAN
	rate_values[2064] = KRO2NO3*1.74
	rate_values[2065] = 1.00e-11*RO2
	rate_values[2066] = J[41]
	rate_values[2067] = 1.04e-11
	rate_values[2068] = KBPAN
	rate_values[2069] = 6.80e-12
	rate_values[2070] = KAPHO2*0.15
	rate_values[2071] = KAPHO2*0.41
	rate_values[2072] = KAPHO2*0.44
	rate_values[2073] = KAPNO
	rate_values[2074] = KFPAN
	rate_values[2075] = 1.00e-11*0.3*RO2
	rate_values[2076] = 1.00e-11*0.7*RO2
	rate_values[2077] = 2.31e-11
	rate_values[2078] = J[41]
	rate_values[2079] = J[22]
	rate_values[2080] = KDEC
	rate_values[2081] = 1.37e-11
	rate_values[2082] = J[22]
	rate_values[2083] = KAPHO2*0.15
	rate_values[2084] = KAPHO2*0.41
	rate_values[2085] = KAPHO2*0.44
	rate_values[2086] = KAPNO
	rate_values[2087] = KFPAN
	rate_values[2088] = KRO2NO3*1.74
	rate_values[2089] = 1.00e-11*0.3*RO2
	rate_values[2090] = 1.00e-11*0.7*RO2
	rate_values[2091] = J[22]
	rate_values[2092] = J[41]
	rate_values[2093] = 7.34e-12
	rate_values[2094] = 1.50e-12
	rate_values[2095] = 5.16e-12
	rate_values[2096] = J[41]
	rate_values[2097] = KDEC
	rate_values[2098] = 2.00e-11
	rate_values[2099] = J[22]
	rate_values[2100] = J[41]
	rate_values[2101] = KDEC
	rate_values[2102] = 2.78e-11
	rate_values[2103] = J[41]
	rate_values[2104] = KDEC
	rate_values[2105] = 2.44e-11
	rate_values[2106] = 2.69e-11
	rate_values[2107] = J[41]*3
	rate_values[2108] = 2.33e-11
	rate_values[2109] = KBPAN
	rate_values[2110] = 3.42e-11
	rate_values[2111] = J[41]
	rate_values[2112] = J[15]
	rate_values[2113] = J[41]
	rate_values[2114] = KDEC
	rate_values[2115] = KBPAN
	rate_values[2116] = 3.74e-12
	rate_values[2117] = 2.49e-12
	rate_values[2118] = J[41]
	rate_values[2119] = 5.57e-12*0.68
	rate_values[2120] = 5.57e-12*0.32
	rate_values[2121] = KBPAN
	rate_values[2122] = 1.97e-12
	rate_values[2123] = 2.62e-11
	rate_values[2124] = J[34]
	rate_values[2125] = KAPHO2*0.56
	rate_values[2126] = KAPHO2*0.44
	rate_values[2127] = KAPNO
	rate_values[2128] = KFPAN
	rate_values[2129] = KRO2NO3*1.6
	rate_values[2130] = 1.00e-11*RO2
	rate_values[2131] = KRO2HO2*0.706
	rate_values[2132] = KRO2NO
	rate_values[2133] = KRO2NO3
	rate_values[2134] = 8.80e-13*RO2
	rate_values[2135] = 1.66e-12
	rate_values[2136] = J[41]
	rate_values[2137] = 4.74e-12
	rate_values[2138] = KBPAN
	rate_values[2139] = 1.14e-12
	rate_values[2140] = KRO2HO2*0.706
	rate_values[2141] = KRO2NO
	rate_values[2142] = KRO2NO3
	rate_values[2143] = 9.20e-14*RO2*0.70
	rate_values[2144] = 9.20e-14*RO2*0.30
	rate_values[2145] = KNO3AL*5.5
	rate_values[2146] = 2.15e-11
	rate_values[2147] = J[15]
	rate_values[2148] = 1.72e-11
	rate_values[2149] = J[41]
	rate_values[2150] = 1.80e-13
	rate_values[2151] = 1.36e-11
	rate_values[2152] = KBPAN
	rate_values[2153] = 2.20e-11
	rate_values[2154] = J[41]
	rate_values[2155] = J[22]
	rate_values[2156] = KDEC
	rate_values[2157] = 1.69e-11
	rate_values[2158] = J[41]
	rate_values[2159] = KDEC
	rate_values[2160] = 1.34e-11
	rate_values[2161] = KAPHO2*0.15
	rate_values[2162] = KAPHO2*0.41
	rate_values[2163] = KAPHO2*0.44
	rate_values[2164] = KAPNO
	rate_values[2165] = KFPAN
	rate_values[2166] = KRO2NO3*1.74
	rate_values[2167] = 1.00e-11*RO2*0.3
	rate_values[2168] = 1.00e-11*RO2*0.7
	rate_values[2169] = 8.76e-13
	rate_values[2170] = 4.34e-12
	rate_values[2171] = J[41]
	rate_values[2172] = 7.36e-13
	rate_values[2173] = KBPAN
	rate_values[2174] = KNO3AL*4.0
	rate_values[2175] = 1.27e-11
	rate_values[2176] = J[22]
	rate_values[2177] = KDEC*0.55*0.90
	rate_values[2178] = KDEC*0.45*0.90
	rate_values[2179] = KDEC*0.10
	rate_values[2180] = KDEC*0.5*0.7
	rate_values[2181] = KDEC*0.5*0.7
	rate_values[2182] = KDEC*0.30
	rate_values[2183] = 0.025*1.2E-11*numpy.exp(440/TEMP)
	rate_values[2184] = 0.01*2.38E-11*numpy.exp(357/TEMP)
	rate_values[2185] = 0.01*4.28e-11*numpy.exp(401/TEMP)
	rate_values[2186] = 0.025*1.60e-11*numpy.exp(500./TEMP)
	rate_values[2187] = 1.2e18*numpy.exp(-1.2077e4/TEMP)
	rate_values[2188] = 1.2e18*numpy.exp(-1.2077e4/TEMP)
	rate_values[2189] = 6e17*numpy.exp(-1.2077e4/TEMP)
	rate_values[2190] = 2e17*numpy.exp(-1.2077e4/TEMP)
	rate_values[2191] = 1.2e17*numpy.exp(-1.2077e4/TEMP)
	rate_values[2192] = 1.2e17*numpy.exp(-1.2077e4/TEMP)
	rate_values[2193] = 1.2e16*numpy.exp(-1.2077e4/TEMP)
	rate_values[2194] = 0
	rate_values[2195] = KDEC
	rate_values[2196] = KDEC
	rate_values[2197] = KDEC
	rate_values[2198] = KDEC
	rate_values[2199] = KDEC
	rate_values[2200] = KDEC
	rate_values[2201] = KDEC
	rate_values[2202] = KDEC
	rate_values[2203] = KDEC
	rate_values[2204] = KDEC
	rate_values[2205] = KRO2NO*1.0
	rate_values[2206] = KRO2NO*1.0
	rate_values[2207] = KRO2NO*1.0
	rate_values[2208] = KRO2NO*0.9
	rate_values[2209] = KRO2NO*0.85
	rate_values[2210] = KRO2NO*0.8
	rate_values[2211] = KRO2NO*0.6
	rate_values[2212] = KRO2NO*0.5
	rate_values[2213] = KRO2NO*0.3
	rate_values[2214] = 0
	rate_values[2215] = 0
	rate_values[2216] = 0
	rate_values[2217] = 0
	rate_values[2218] = 0
	rate_values[2219] = 0.4*KRO2NO*0.1
	rate_values[2220] = 0.4*KRO2NO*0.15
	rate_values[2221] = 0.4*KRO2NO*0.2
	rate_values[2222] = 0.4*KRO2NO*0.4
	rate_values[2223] = 0.4*KRO2NO*0.5
	rate_values[2224] = 0.4*KRO2NO*0.7
	rate_values[2225] = 0.4*KRO2NO*1.0
	rate_values[2226] = 0.4*KRO2NO*1.0
	rate_values[2227] = 0
	rate_values[2228] = 0
	rate_values[2229] = 0
	rate_values[2230] = 0.6*KRO2NO*0.1*7e0/10e0
	rate_values[2231] = 0.6*KRO2NO*0.15*7e0/10e0
	rate_values[2232] = 0.6*KRO2NO*0.2*7e0/10e0
	rate_values[2233] = 0.6*KRO2NO*0.4*7e0/10e0
	rate_values[2234] = 0.6*KRO2NO*0.5*7e0/10e0
	rate_values[2235] = 0.6*KRO2NO*0.7*7e0/10e0
	rate_values[2236] = 0.6*KRO2NO*1.0*7e0/10e0
	rate_values[2237] = 0.6*KRO2NO*1.0*7e0/10e0
	rate_values[2238] = 0
	rate_values[2239] = 0
	rate_values[2240] = 0
	rate_values[2241] = 0.6*KRO2NO*0.1*3e0/10e0
	rate_values[2242] = 0.6*KRO2NO*0.15*3e0/10e0
	rate_values[2243] = 0.6*KRO2NO*0.2*3e0/10e0
	rate_values[2244] = 0.6*KRO2NO*0.4*3e0/10e0
	rate_values[2245] = 0.6*KRO2NO*0.5*3e0/10e0
	rate_values[2246] = 0.6*KRO2NO*0.7*3e0/10e0
	rate_values[2247] = 0.6*KRO2NO*1.0*3e0/10e0
	rate_values[2248] = 0.6*KRO2NO*1.0*3e0/10e0
	rate_values[2249] = KRO2HO2
	rate_values[2250] = KRO2HO2
	rate_values[2251] = KRO2HO2
	rate_values[2252] = KRO2HO2
	rate_values[2253] = KRO2HO2
	rate_values[2254] = KRO2HO2
	rate_values[2255] = KRO2HO2
	rate_values[2256] = KRO2HO2
	rate_values[2257] = KRO2HO2
	rate_values[2258] = KRO2HO2
	rate_values[2259] = KRO2HO2
	rate_values[2260] = 1.00E-13
	rate_values[2261] = 1.00E-13
	rate_values[2262] = 1.00E-13
	rate_values[2263] = 1.00E-13
	rate_values[2264] = 1.00E-13
	rate_values[2265] = 1.00E-13
	rate_values[2266] = 1.00E-13
	rate_values[2267] = 1.00E-13
	rate_values[2268] = 1.00E-13
	rate_values[2269] = 1.00E-13
	rate_values[2270] = 1.00E-13
	rate_values[2271] = 1.00E-13
	rate_values[2272] = 1.00E-13
	rate_values[2273] = 1.00E-13
	rate_values[2274] = 1.00E-13
	rate_values[2275] = 1.00E-13
	rate_values[2276] = 1.00E-13
	rate_values[2277] = 1.00E-13
	rate_values[2278] = 1.00E-13
	rate_values[2279] = 1.00E-13
	rate_values[2280] = 1.00E-13
	rate_values[2281] = 1.00E-13
	rate_values[2282] = 1.00E-13
	rate_values[2283] = 1.00E-13
	rate_values[2284] = 1.00E-13
	rate_values[2285] = 1.00E-13
	rate_values[2286] = 1.00E-13
	rate_values[2287] = 1.00E-13
	rate_values[2288] = 1.00E-13
	rate_values[2289] = 1.00E-13
	rate_values[2290] = 1.00E-13
	rate_values[2291] = 1.00E-13
	rate_values[2292] = 1.00E-13
	rate_values[2293] = 1.00E-13
	rate_values[2294] = 1.00E-13
	rate_values[2295] = 1.00E-13
	rate_values[2296] = 1.00E-13
	rate_values[2297] = 1.00E-13
	rate_values[2298] = 1.00E-13
	rate_values[2299] = 1.00E-13
	rate_values[2300] = 1.00E-13
	rate_values[2301] = 1.00E-13
	rate_values[2302] = 1.00E-13
	rate_values[2303] = 1.00E-13
	rate_values[2304] = 1.00E-13
	rate_values[2305] = 1.00E-13
	rate_values[2306] = 1.00E-13
	rate_values[2307] = 1.00E-13
	rate_values[2308] = 1.00E-13
	rate_values[2309] = 1.00E-13
	rate_values[2310] = 1.00E-13
	rate_values[2311] = 1.00E-13
	rate_values[2312] = 1.00E-13
	rate_values[2313] = 1.00E-13
	rate_values[2314] = 1.00E-13
	rate_values[2315] = 1.00E-13
	rate_values[2316] = 1.00E-13
	rate_values[2317] = 1.00E-13
	rate_values[2318] = 1.00E-13
	rate_values[2319] = 1.00E-13
	rate_values[2320] = 1.00E-13
	rate_values[2321] = 1.00E-13
	rate_values[2322] = 1.00E-13
	rate_values[2323] = 1.00E-13
	rate_values[2324] = 1.00E-13
	rate_values[2325] = 1.00E-13
	rate_values[2326] = 1.00E-13
	rate_values[2327] = 1.00E-13
	rate_values[2328] = 1.00E-13
	rate_values[2329] = 1.00E-13
	rate_values[2330] = 1.00E-13
	rate_values[2331] = 1.00E-13
	rate_values[2332] = 1.00E-13
	rate_values[2333] = 1.00E-13
	rate_values[2334] = 1.00E-13
	rate_values[2335] = 1.00E-13
	rate_values[2336] = 1.00E-13
	rate_values[2337] = 1.00E-13
	rate_values[2338] = 1.00E-13
	rate_values[2339] = 1.00E-13
	rate_values[2340] = 1.00E-13
	rate_values[2341] = 1.00E-13
	rate_values[2342] = 1.00E-13
	rate_values[2343] = 1.00E-13
	rate_values[2344] = 1.00E-13
	rate_values[2345] = 1.00E-13
	rate_values[2346] = 1.00E-13
	rate_values[2347] = 1.00E-13
	rate_values[2348] = 1.00E-13
	rate_values[2349] = 1.00E-13
	rate_values[2350] = 1.00E-13
	rate_values[2351] = 1.00E-13
	rate_values[2352] = 1.00E-13
	rate_values[2353] = 1.00E-13
	rate_values[2354] = 1.00E-13
	rate_values[2355] = 1.00E-13
	rate_values[2356] = 1.00E-13
	rate_values[2357] = 1.00E-13
	rate_values[2358] = 1.00E-13
	rate_values[2359] = 1.00E-13
	rate_values[2360] = 1.00E-13
	rate_values[2361] = 1.00E-13
	rate_values[2362] = 1.00E-13
	rate_values[2363] = 1.00E-13
	rate_values[2364] = 1.00E-13
	rate_values[2365] = 1.00E-13
	rate_values[2366] = 1.00E-13
	rate_values[2367] = 1.00E-13
	rate_values[2368] = 1.00E-13
	rate_values[2369] = 1.00E-13
	rate_values[2370] = 1.00E-13
	rate_values[2371] = 1.00E-13
	rate_values[2372] = 1.00E-13
	rate_values[2373] = 1.00E-13
	rate_values[2374] = 1.00E-13
	rate_values[2375] = 1.00E-13
	rate_values[2376] = 1.00E-13
	rate_values[2377] = 1.00E-13
	rate_values[2378] = 1.00E-13
	rate_values[2379] = 1.00E-13
	rate_values[2380] = 1.00E-13
	rate_values[2381] = 1.00E-13
	rate_values[2382] = 1.00E-13
	rate_values[2383] = 1.00E-13
	rate_values[2384] = 1.00E-13
	rate_values[2385] = 1.00E-13
	rate_values[2386] = 1.00E-13
	rate_values[2387] = 1.00E-13
	rate_values[2388] = 1.00E-13
	rate_values[2389] = 1.00E-13
	rate_values[2390] = 1.00E-13
	rate_values[2391] = 1.00E-13
	rate_values[2392] = 1.00E-13
	rate_values[2393] = 1.00E-13
	rate_values[2394] = 1.00E-13
	rate_values[2395] = 1.00E-13
	rate_values[2396] = 1.00E-13
	rate_values[2397] = 1.00E-13
	rate_values[2398] = 1.00E-13
	rate_values[2399] = 1.00E-13
	rate_values[2400] = 1.00E-13
	rate_values[2401] = 1.00E-13
	rate_values[2402] = 1.00E-13
	rate_values[2403] = 1.00E-13
	rate_values[2404] = 1.00E-13
	rate_values[2405] = 1.00E-13
	rate_values[2406] = 1.00E-13
	rate_values[2407] = 1.00E-13
	rate_values[2408] = 1.00E-13
	rate_values[2409] = 1.00E-13
	rate_values[2410] = 1.00E-13
	rate_values[2411] = 1.00E-13
	rate_values[2412] = 1.00E-13
	rate_values[2413] = 1.00E-13
	rate_values[2414] = 1.00E-13
	rate_values[2415] = 1.00E-13
	rate_values[2416] = 1.00E-13
	rate_values[2417] = 1.00E-13
	rate_values[2418] = 1.00E-13
	rate_values[2419] = 1.00E-13
	rate_values[2420] = 1.00E-13
	rate_values[2421] = 1.00E-13
	rate_values[2422] = 1.00E-13
	rate_values[2423] = 1.00E-13
	rate_values[2424] = 1.00E-13
	rate_values[2425] = 1.00E-13
	rate_values[2426] = 1.00E-13
	rate_values[2427] = 1.00E-13
	rate_values[2428] = 1.00E-13
	rate_values[2429] = 1.00E-13
	rate_values[2430] = 1.00E-13
	rate_values[2431] = 1.00E-13
	rate_values[2432] = 1.00E-13
	rate_values[2433] = 1.00E-13
	rate_values[2434] = 1.00E-13
	rate_values[2435] = 1.00E-13
	rate_values[2436] = 1.00E-13
	rate_values[2437] = 1.00E-13
	rate_values[2438] = 1.00E-13
	rate_values[2439] = 1.00E-13
	rate_values[2440] = 1.00E-13
	rate_values[2441] = 1.00E-13
	rate_values[2442] = 1.00E-13
	rate_values[2443] = 1.00E-13
	rate_values[2444] = 1.00E-13
	rate_values[2445] = 1.00E-13
	rate_values[2446] = 1.00E-13
	rate_values[2447] = 1.00E-13
	rate_values[2448] = 1.00E-13
	rate_values[2449] = 1.00E-13
	rate_values[2450] = 1.00E-13
	rate_values[2451] = 1.00E-13
	rate_values[2452] = 1.00E-13
	rate_values[2453] = 1.00E-13
	rate_values[2454] = 1.00E-13
	rate_values[2455] = 1.00E-13
	rate_values[2456] = 1.00E-13
	rate_values[2457] = 1.00E-13
	rate_values[2458] = 1.00E-13
	rate_values[2459] = 1.00E-13
	rate_values[2460] = 1.00E-13
	rate_values[2461] = 1.00E-13
	rate_values[2462] = 1.00E-13
	rate_values[2463] = 1.00E-13
	rate_values[2464] = 1.00E-13
	rate_values[2465] = 1.00E-13
	rate_values[2466] = 1.00E-13
	rate_values[2467] = 1.00E-13
	rate_values[2468] = 1.00E-13
	rate_values[2469] = 1.00E-13
	rate_values[2470] = 1.00E-13
	rate_values[2471] = 1.00E-13
	rate_values[2472] = 1.00E-13
	rate_values[2473] = 1.00E-13
	rate_values[2474] = 1.00E-13
	rate_values[2475] = 1.00E-13
	rate_values[2476] = 1.00E-13
	rate_values[2477] = 1.00E-13
	rate_values[2478] = 1.00E-13
	rate_values[2479] = 1.00E-13
	rate_values[2480] = 1.00E-13
	rate_values[2481] = 1.00E-13
	rate_values[2482] = 1.00E-13
	rate_values[2483] = 1.00E-13
	rate_values[2484] = 1.00E-13
	rate_values[2485] = 1.00E-13
	rate_values[2486] = 1.00E-13
	rate_values[2487] = 1.00E-13
	rate_values[2488] = 1.00E-13
	rate_values[2489] = 1.00E-13
	rate_values[2490] = 1.00E-13
	rate_values[2491] = 1.00E-13
	rate_values[2492] = 1.00E-13
	rate_values[2493] = 1.00E-13
	rate_values[2494] = 1.00E-13
	rate_values[2495] = 1.00E-13
	rate_values[2496] = 1.00E-13
	rate_values[2497] = 1.00E-13
	rate_values[2498] = 1.00E-13
	rate_values[2499] = 1.00E-13
	rate_values[2500] = 1.00E-13
	rate_values[2501] = 1.00E-13
	rate_values[2502] = 1.00E-13
	rate_values[2503] = 1.00E-13
	rate_values[2504] = 1.00E-13
	rate_values[2505] = 1.00E-13
	rate_values[2506] = 1.00E-13
	rate_values[2507] = 1.00E-13
	rate_values[2508] = 1.00E-13
	rate_values[2509] = 1.00E-13
	rate_values[2510] = 1.00E-13
	rate_values[2511] = 1.00E-13
	rate_values[2512] = 1.00E-13
	rate_values[2513] = 1.00E-13
	rate_values[2514] = 1.00E-13
	rate_values[2515] = 1.00E-13
	rate_values[2516] = 1.00E-13
	rate_values[2517] = 1.00E-13
	rate_values[2518] = 1.00E-13
	rate_values[2519] = 1.00E-13
	rate_values[2520] = 1.00E-13
	rate_values[2521] = 1.00E-13
	rate_values[2522] = 1.00E-13
	rate_values[2523] = 1.00E-13
	rate_values[2524] = 1.00E-13
	rate_values[2525] = 1.00E-13
	rate_values[2526] = 1.00E-13
	rate_values[2527] = 1.00E-13
	rate_values[2528] = 1.00E-13
	rate_values[2529] = 1.00E-13
	rate_values[2530] = 1.00E-13
	rate_values[2531] = 1.00E-13
	rate_values[2532] = 1.00E-13
	rate_values[2533] = 1.00E-13
	rate_values[2534] = 1.00E-13
	rate_values[2535] = 1.00E-13
	rate_values[2536] = 1.00E-13
	rate_values[2537] = 1.00E-13
	rate_values[2538] = 1.00E-13
	rate_values[2539] = 1.00E-13
	rate_values[2540] = 1.00E-13
	rate_values[2541] = 1.00E-13
	rate_values[2542] = 5.00E-13
	rate_values[2543] = 5.00E-13
	rate_values[2544] = 5.00E-13
	rate_values[2545] = 5.00E-13
	rate_values[2546] = 5.00E-13
	rate_values[2547] = 5.00E-13
	rate_values[2548] = 5.00E-13
	rate_values[2549] = 5.00E-13
	rate_values[2550] = 5.00E-13
	rate_values[2551] = 5.00E-13
	rate_values[2552] = 5.00E-13
	rate_values[2553] = 5.00E-13
	rate_values[2554] = 5.00E-13
	rate_values[2555] = 5.00E-13
	rate_values[2556] = 5.00E-13
	rate_values[2557] = 5.00E-13
	rate_values[2558] = 5.00E-13
	rate_values[2559] = 5.00E-13
	rate_values[2560] = 5.00E-13
	rate_values[2561] = 5.00E-13
	rate_values[2562] = 5.00E-13
	rate_values[2563] = 5.00E-13
	rate_values[2564] = 5.00E-13
	rate_values[2565] = 5.00E-13
	rate_values[2566] = 5.00E-13
	rate_values[2567] = 5.00E-13
	rate_values[2568] = 5.00E-13
	rate_values[2569] = 5.00E-13
	rate_values[2570] = 5.00E-13
	rate_values[2571] = 5.00E-13
	rate_values[2572] = 5.00E-13
	rate_values[2573] = 5.00E-13
	rate_values[2574] = 5.00E-13
	rate_values[2575] = 5.00E-13
	rate_values[2576] = 5.00E-13
	rate_values[2577] = 5.00E-13
	rate_values[2578] = 5.00E-13
	rate_values[2579] = 5.00E-13
	rate_values[2580] = 5.00E-13
	rate_values[2581] = 5.00E-13
	rate_values[2582] = 5.00E-13
	rate_values[2583] = 5.00E-13
	rate_values[2584] = 5.00E-13
	rate_values[2585] = 5.00E-13
	rate_values[2586] = 5.00E-13
	rate_values[2587] = 5.00E-13
	rate_values[2588] = 5.00E-13
	rate_values[2589] = 5.00E-13
	rate_values[2590] = 5.00E-13
	rate_values[2591] = 5.00E-13
	rate_values[2592] = 5.00E-13
	rate_values[2593] = 5.00E-13
	rate_values[2594] = 5.00E-13
	rate_values[2595] = 5.00E-13
	rate_values[2596] = 5.00E-13
	rate_values[2597] = 5.00E-13
	rate_values[2598] = 5.00E-13
	rate_values[2599] = 5.00E-13
	rate_values[2600] = 5.00E-13
	rate_values[2601] = 5.00E-13
	rate_values[2602] = 5.00E-13
	rate_values[2603] = 5.00E-13
	rate_values[2604] = 5.00E-13
	rate_values[2605] = 5.00E-13
	rate_values[2606] = 5.00E-13
	rate_values[2607] = 5.00E-13
	rate_values[2608] = 5.00E-13
	rate_values[2609] = 5.00E-13
	rate_values[2610] = 5.00E-13
	rate_values[2611] = 5.00E-13
	rate_values[2612] = 5.00E-13
	rate_values[2613] = 5.00E-13
	rate_values[2614] = 5.00E-13
	rate_values[2615] = 5.00E-13
	rate_values[2616] = 5.00E-13
	rate_values[2617] = 5.00E-13
	rate_values[2618] = 5.00E-13
	rate_values[2619] = 5.00E-13
	rate_values[2620] = 5.00E-13
	rate_values[2621] = 5.00E-13
	rate_values[2622] = 5.00E-13
	rate_values[2623] = 5.00E-13
	rate_values[2624] = 5.00E-13
	rate_values[2625] = 5.00E-13
	rate_values[2626] = 5.00E-13
	rate_values[2627] = 5.00E-13
	rate_values[2628] = 5.00E-13
	rate_values[2629] = 5.00E-13
	rate_values[2630] = 5.00E-13
	rate_values[2631] = 5.00E-13
	rate_values[2632] = 5.00E-13
	rate_values[2633] = 5.00E-13
	rate_values[2634] = 5.00E-13
	rate_values[2635] = 5.00E-13
	rate_values[2636] = 2.00E-12
	rate_values[2637] = 2.00E-12
	rate_values[2638] = 2.00E-12
	rate_values[2639] = 2.00E-12
	rate_values[2640] = 2.00E-12
	rate_values[2641] = 2.00E-12
	rate_values[2642] = 2.00E-12
	rate_values[2643] = 2.00E-12
	rate_values[2644] = 2.00E-12
	rate_values[2645] = 2.00E-12
	rate_values[2646] = 2.00E-12
	rate_values[2647] = 2.00E-12
	rate_values[2648] = 2.00E-12
	rate_values[2649] = 2.00E-12
	rate_values[2650] = 2.00E-12
	rate_values[2651] = 2.00E-12
	rate_values[2652] = 2.00E-12
	rate_values[2653] = 2.00E-12
	rate_values[2654] = 2.00E-12
	rate_values[2655] = 2.00E-12
	rate_values[2656] = 2.00E-12
	rate_values[2657] = 2.00E-12
	rate_values[2658] = 2.00E-12
	rate_values[2659] = 2.00E-12
	rate_values[2660] = 2.00E-12
	rate_values[2661] = 2.00E-12
	rate_values[2662] = 2.00E-12
	rate_values[2663] = 2.00E-12
	rate_values[2664] = 2.00E-12
	rate_values[2665] = 2.00E-12
	rate_values[2666] = 2.00E-12
	rate_values[2667] = 2.00E-12
	rate_values[2668] = 2.00E-12
	rate_values[2669] = 2.00E-12
	rate_values[2670] = 2.00E-12
	rate_values[2671] = 2.00E-12
	rate_values[2672] = 2.00E-12
	rate_values[2673] = 2.00E-12
	rate_values[2674] = 2.00E-12
	rate_values[2675] = 2.00E-12
	rate_values[2676] = 2.00E-12
	rate_values[2677] = 2.00E-12
	rate_values[2678] = 2.00E-12
	rate_values[2679] = 2.00E-12
	rate_values[2680] = 2.00E-12
	rate_values[2681] = 2.00E-12
	rate_values[2682] = 2.00E-12
	rate_values[2683] = 2.00E-12
	rate_values[2684] = 2.00E-12
	rate_values[2685] = 2.00E-12
	rate_values[2686] = 2.00E-12
	rate_values[2687] = 2.00E-12
	rate_values[2688] = 2.00E-12
	rate_values[2689] = 2.00E-12
	rate_values[2690] = 2.00E-12
	rate_values[2691] = 2.00E-12
	rate_values[2692] = 2.00E-12
	rate_values[2693] = 2.00E-12
	rate_values[2694] = 2.00E-12
	rate_values[2695] = 2.00E-12
	rate_values[2696] = 2.00E-12
	rate_values[2697] = 2.00E-12
	rate_values[2698] = 2.00E-12
	rate_values[2699] = 2.00E-12
	rate_values[2700] = 2.00E-12
	rate_values[2701] = 2.00E-12
	rate_values[2702] = 2.00E-12
	rate_values[2703] = 2.00E-12
	rate_values[2704] = 2.00E-12
	rate_values[2705] = 2.00E-12
	rate_values[2706] = 2.00E-12
	rate_values[2707] = 2.00E-12
	rate_values[2708] = 2.00E-12
	rate_values[2709] = 2.00E-12
	rate_values[2710] = 2.00E-12
	rate_values[2711] = 2.00E-12
	rate_values[2712] = 2.00E-12
	rate_values[2713] = 2.00E-12
	rate_values[2714] = 2.00E-12
	rate_values[2715] = 2.00E-12
	rate_values[2716] = 2.00E-12
	rate_values[2717] = 2.00E-12
	rate_values[2718] = 2.00E-12
	rate_values[2719] = 2.00E-12
	rate_values[2720] = 2.00E-12
	rate_values[2721] = 2.00E-12
	rate_values[2722] = 2.00E-12
	rate_values[2723] = 2.00E-12
	rate_values[2724] = 2.00E-12
	rate_values[2725] = 2.00E-12
	rate_values[2726] = 2.00E-12
	rate_values[2727] = 2.00E-12
	rate_values[2728] = 2.00E-12
	rate_values[2729] = 2.00E-12
	rate_values[2730] = 3.00E-12
	rate_values[2731] = 3.00E-12
	rate_values[2732] = 3.00E-12
	rate_values[2733] = 3.00E-12
	rate_values[2734] = 3.00E-12
	rate_values[2735] = 3.00E-12
	rate_values[2736] = 3.00E-12
	rate_values[2737] = 3.00E-12
	rate_values[2738] = 3.00E-12
	rate_values[2739] = 3.00E-12
	rate_values[2740] = 3.00E-12
	rate_values[2741] = 3.00E-12
	rate_values[2742] = 3.00E-12
	rate_values[2743] = 3.00E-12
	rate_values[2744] = 3.00E-12
	rate_values[2745] = 3.00E-12
	rate_values[2746] = 3.00E-12
	rate_values[2747] = 3.00E-12
	rate_values[2748] = 3.00E-12
	rate_values[2749] = 3.00E-12
	rate_values[2750] = 3.00E-12
	rate_values[2751] = 3.00E-12
	rate_values[2752] = 3.00E-12
	rate_values[2753] = 3.00E-12
	rate_values[2754] = 3.00E-12
	rate_values[2755] = 3.00E-12
	rate_values[2756] = 3.00E-12
	rate_values[2757] = 3.00E-12
	rate_values[2758] = 3.00E-12
	rate_values[2759] = 3.00E-12
	rate_values[2760] = 3.00E-12
	rate_values[2761] = 3.00E-12
	rate_values[2762] = 3.00E-12
	rate_values[2763] = 3.00E-12
	rate_values[2764] = 3.00E-12
	rate_values[2765] = 3.00E-12
	rate_values[2766] = 3.00E-12
	rate_values[2767] = 3.00E-12
	rate_values[2768] = 3.00E-12
	rate_values[2769] = 3.00E-12
	rate_values[2770] = 3.00E-12
	rate_values[2771] = 3.00E-12
	rate_values[2772] = 3.00E-12
	rate_values[2773] = 3.00E-12
	rate_values[2774] = 3.00E-12
	rate_values[2775] = 3.00E-12
	rate_values[2776] = 3.00E-12
	rate_values[2777] = 3.00E-12
	rate_values[2778] = 3.00E-12
	rate_values[2779] = 3.00E-12
	rate_values[2780] = 3.00E-12
	rate_values[2781] = 3.00E-12
	rate_values[2782] = 3.00E-12
	rate_values[2783] = 3.00E-12
	rate_values[2784] = 3.00E-12
	rate_values[2785] = 3.00E-12
	rate_values[2786] = 3.00E-12
	rate_values[2787] = 3.00E-12
	rate_values[2788] = 3.00E-12
	rate_values[2789] = 3.00E-12
	rate_values[2790] = 3.00E-12
	rate_values[2791] = 3.00E-12
	rate_values[2792] = 3.00E-12
	rate_values[2793] = 3.00E-12
	rate_values[2794] = 3.00E-12
	rate_values[2795] = 3.00E-12
	rate_values[2796] = 3.00E-12
	rate_values[2797] = 3.00E-12
	rate_values[2798] = 3.00E-12
	rate_values[2799] = 3.00E-12
	rate_values[2800] = 3.00E-12
	rate_values[2801] = 3.00E-12
	rate_values[2802] = 3.00E-12
	rate_values[2803] = 3.00E-12
	rate_values[2804] = 3.00E-12
	rate_values[2805] = 3.00E-12
	rate_values[2806] = 3.00E-12
	rate_values[2807] = 3.00E-12
	rate_values[2808] = 3.00E-12
	rate_values[2809] = 3.00E-12
	rate_values[2810] = 3.00E-12
	rate_values[2811] = 3.00E-12
	rate_values[2812] = 3.00E-12
	rate_values[2813] = 3.00E-12
	rate_values[2814] = 3.00E-12
	rate_values[2815] = 3.00E-12
	rate_values[2816] = 3.00E-12
	rate_values[2817] = 3.00E-12
	rate_values[2818] = 3.00E-12
	rate_values[2819] = 3.00E-12
	rate_values[2820] = 3.00E-12
	rate_values[2821] = 3.00E-12
	rate_values[2822] = 3.00E-12
	rate_values[2823] = 3.00E-12
	rate_values[2824] = 3.00E-12
	rate_values[2825] = 3.00E-12
	rate_values[2826] = 3.00E-12
	rate_values[2827] = 3.00E-12
	rate_values[2828] = 3.00E-12
	rate_values[2829] = 3.00E-12
	rate_values[2830] = 3.00E-12
	rate_values[2831] = 3.00E-12
	rate_values[2832] = 3.00E-12
	rate_values[2833] = 3.00E-12
	rate_values[2834] = 3.00E-12
	rate_values[2835] = 3.00E-12
	rate_values[2836] = 3.00E-12
	rate_values[2837] = 3.00E-12
	rate_values[2838] = 3.00E-12
	rate_values[2839] = 3.00E-12
	rate_values[2840] = 3.00E-12
	rate_values[2841] = 3.00E-12
	rate_values[2842] = 3.00E-12
	rate_values[2843] = 3.00E-12
	rate_values[2844] = 3.00E-12
	rate_values[2845] = 3.00E-12
	rate_values[2846] = 3.00E-12
	rate_values[2847] = 3.00E-12
	rate_values[2848] = 3.00E-12
	rate_values[2849] = 3.00E-12
	rate_values[2850] = 3.00E-12
	rate_values[2851] = 3.00E-12
	rate_values[2852] = 3.00E-12
	rate_values[2853] = 3.00E-12
	rate_values[2854] = 3.00E-12
	rate_values[2855] = 3.00E-12
	rate_values[2856] = 3.00E-12
	rate_values[2857] = 3.00E-12
	rate_values[2858] = 3.00E-12
	rate_values[2859] = 3.00E-12
	rate_values[2860] = 3.00E-12
	rate_values[2861] = 3.00E-12
	rate_values[2862] = 3.00E-12
	rate_values[2863] = 3.00E-12
	rate_values[2864] = 3.00E-12
	rate_values[2865] = 3.00E-12
	rate_values[2866] = 3.00E-12
	rate_values[2867] = 3.00E-12
	rate_values[2868] = 3.00E-12
	rate_values[2869] = 3.00E-12
	rate_values[2870] = 3.00E-12
	rate_values[2871] = 3.00E-12
	rate_values[2872] = 3.00E-12
	rate_values[2873] = 3.00E-12
	rate_values[2874] = 3.00E-12
	rate_values[2875] = 3.00E-12
	rate_values[2876] = 3.00E-12
	rate_values[2877] = 3.00E-12
	rate_values[2878] = 3.00E-12
	rate_values[2879] = 3.00E-12
	rate_values[2880] = 3.00E-12
	rate_values[2881] = 3.00E-12
	rate_values[2882] = 3.00E-12
	rate_values[2883] = 3.00E-12
	rate_values[2884] = 3.00E-12
	rate_values[2885] = 3.00E-12
	rate_values[2886] = 3.00E-12
	rate_values[2887] = 3.00E-12
	rate_values[2888] = 3.00E-12
	rate_values[2889] = 3.00E-12
	rate_values[2890] = 3.00E-12
	rate_values[2891] = 3.00E-12
	rate_values[2892] = 3.00E-12
	rate_values[2893] = 3.00E-12
	rate_values[2894] = 3.00E-12
	rate_values[2895] = 3.00E-12
	rate_values[2896] = 3.00E-12
	rate_values[2897] = 3.00E-12
	rate_values[2898] = 3.00E-12
	rate_values[2899] = 3.00E-12
	rate_values[2900] = 3.00E-12
	rate_values[2901] = 3.00E-12
	rate_values[2902] = 3.00E-12
	rate_values[2903] = 3.00E-12
	rate_values[2904] = 3.00E-12
	rate_values[2905] = 3.00E-12
	rate_values[2906] = 3.00E-12
	rate_values[2907] = 3.00E-12
	rate_values[2908] = 3.00E-12
	rate_values[2909] = 3.00E-12
	rate_values[2910] = 3.00E-12
	rate_values[2911] = 3.00E-12
	rate_values[2912] = 3.00E-12
	rate_values[2913] = 3.00E-12
	rate_values[2914] = 3.00E-12
	rate_values[2915] = 3.00E-12
	rate_values[2916] = 3.00E-12
	rate_values[2917] = 3.00E-12
	rate_values[2918] = 5.00E-12
	rate_values[2919] = 5.00E-12
	rate_values[2920] = 5.00E-12
	rate_values[2921] = 5.00E-12
	rate_values[2922] = 5.00E-12
	rate_values[2923] = 5.00E-12
	rate_values[2924] = 5.00E-12
	rate_values[2925] = 5.00E-12
	rate_values[2926] = 5.00E-12
	rate_values[2927] = 5.00E-12
	rate_values[2928] = 5.00E-12
	rate_values[2929] = 5.00E-12
	rate_values[2930] = 5.00E-12
	rate_values[2931] = 5.00E-12
	rate_values[2932] = 5.00E-12
	rate_values[2933] = 5.00E-12
	rate_values[2934] = 5.00E-12
	rate_values[2935] = 5.00E-12
	rate_values[2936] = 5.00E-12
	rate_values[2937] = 5.00E-12
	rate_values[2938] = 5.00E-12
	rate_values[2939] = 5.00E-12
	rate_values[2940] = 5.00E-12
	rate_values[2941] = 5.00E-12
	rate_values[2942] = 5.00E-12
	rate_values[2943] = 5.00E-12
	rate_values[2944] = 5.00E-12
	rate_values[2945] = 5.00E-12
	rate_values[2946] = 5.00E-12
	rate_values[2947] = 5.00E-12
	rate_values[2948] = 5.00E-12
	rate_values[2949] = 5.00E-12
	rate_values[2950] = 5.00E-12
	rate_values[2951] = 5.00E-12
	rate_values[2952] = 5.00E-12
	rate_values[2953] = 5.00E-12
	rate_values[2954] = 5.00E-12
	rate_values[2955] = 5.00E-12
	rate_values[2956] = 5.00E-12
	rate_values[2957] = 5.00E-12
	rate_values[2958] = 5.00E-12
	rate_values[2959] = 5.00E-12
	rate_values[2960] = 5.00E-12
	rate_values[2961] = 5.00E-12
	rate_values[2962] = 5.00E-12
	rate_values[2963] = 5.00E-12
	rate_values[2964] = 5.00E-12
	rate_values[2965] = 5.00E-12
	rate_values[2966] = 5.00E-12
	rate_values[2967] = 5.00E-12
	rate_values[2968] = 5.00E-12
	rate_values[2969] = 5.00E-12
	rate_values[2970] = 5.00E-12
	rate_values[2971] = 5.00E-12
	rate_values[2972] = 5.00E-12
	rate_values[2973] = 5.00E-12
	rate_values[2974] = 5.00E-12
	rate_values[2975] = 5.00E-12
	rate_values[2976] = 5.00E-12
	rate_values[2977] = 5.00E-12
	rate_values[2978] = 5.00E-12
	rate_values[2979] = 5.00E-12
	rate_values[2980] = 5.00E-12
	rate_values[2981] = 5.00E-12
	rate_values[2982] = 5.00E-12
	rate_values[2983] = 5.00E-12
	rate_values[2984] = 5.00E-12
	rate_values[2985] = 5.00E-12
	rate_values[2986] = 5.00E-12
	rate_values[2987] = 5.00E-12
	rate_values[2988] = 5.00E-12
	rate_values[2989] = 5.00E-12
	rate_values[2990] = 5.00E-12
	rate_values[2991] = 5.00E-12
	rate_values[2992] = 5.00E-12
	rate_values[2993] = 5.00E-12
	rate_values[2994] = 5.00E-12
	rate_values[2995] = 5.00E-12
	rate_values[2996] = 5.00E-12
	rate_values[2997] = 5.00E-12
	rate_values[2998] = 5.00E-12
	rate_values[2999] = 5.00E-12
	rate_values[3000] = 5.00E-12
	rate_values[3001] = 5.00E-12
	rate_values[3002] = 5.00E-12
	rate_values[3003] = 5.00E-12
	rate_values[3004] = 5.00E-12
	rate_values[3005] = 5.00E-12
	rate_values[3006] = 5.00E-12
	rate_values[3007] = 5.00E-12
	rate_values[3008] = 5.00E-12
	rate_values[3009] = 5.00E-12
	rate_values[3010] = 5.00E-12
	rate_values[3011] = 5.00E-12
	rate_values[3012] = 5.00E-12
	rate_values[3013] = 5.00E-12
	rate_values[3014] = 5.00E-12
	rate_values[3015] = 5.00E-12
	rate_values[3016] = 5.00E-12
	rate_values[3017] = 5.00E-12
	rate_values[3018] = 5.00E-12
	rate_values[3019] = 5.00E-12
	rate_values[3020] = 5.00E-12
	rate_values[3021] = 5.00E-12
	rate_values[3022] = 5.00E-12
	rate_values[3023] = 5.00E-12
	rate_values[3024] = 5.00E-12
	rate_values[3025] = 5.00E-12
	rate_values[3026] = 5.00E-12
	rate_values[3027] = 5.00E-12
	rate_values[3028] = 5.00E-12
	rate_values[3029] = 5.00E-12
	rate_values[3030] = 5.00E-12
	rate_values[3031] = 5.00E-12
	rate_values[3032] = 5.00E-12
	rate_values[3033] = 5.00E-12
	rate_values[3034] = 5.00E-12
	rate_values[3035] = 5.00E-12
	rate_values[3036] = 5.00E-12
	rate_values[3037] = 5.00E-12
	rate_values[3038] = 5.00E-12
	rate_values[3039] = 5.00E-12
	rate_values[3040] = 5.00E-12
	rate_values[3041] = 5.00E-12
	rate_values[3042] = 5.00E-12
	rate_values[3043] = 5.00E-12
	rate_values[3044] = 5.00E-12
	rate_values[3045] = 5.00E-12
	rate_values[3046] = 5.00E-12
	rate_values[3047] = 5.00E-12
	rate_values[3048] = 5.00E-12
	rate_values[3049] = 5.00E-12
	rate_values[3050] = 5.00E-12
	rate_values[3051] = 5.00E-12
	rate_values[3052] = 5.00E-12
	rate_values[3053] = 5.00E-12
	rate_values[3054] = 5.00E-12
	rate_values[3055] = 5.00E-12
	rate_values[3056] = 5.00E-12
	rate_values[3057] = 5.00E-12
	rate_values[3058] = 5.00E-12
	rate_values[3059] = 5.00E-12
	rate_values[3060] = 5.00E-12
	rate_values[3061] = 5.00E-12
	rate_values[3062] = 5.00E-12
	rate_values[3063] = 5.00E-12
	rate_values[3064] = 5.00E-12
	rate_values[3065] = 5.00E-12
	rate_values[3066] = 5.00E-12
	rate_values[3067] = 5.00E-12
	rate_values[3068] = 5.00E-12
	rate_values[3069] = 5.00E-12
	rate_values[3070] = 5.00E-12
	rate_values[3071] = 5.00E-12
	rate_values[3072] = 5.00E-12
	rate_values[3073] = 5.00E-12
	rate_values[3074] = 5.00E-12
	rate_values[3075] = 5.00E-12
	rate_values[3076] = 5.00E-12
	rate_values[3077] = 5.00E-12
	rate_values[3078] = 5.00E-12
	rate_values[3079] = 5.00E-12
	rate_values[3080] = 5.00E-12
	rate_values[3081] = 5.00E-12
	rate_values[3082] = 5.00E-12
	rate_values[3083] = 5.00E-12
	rate_values[3084] = 5.00E-12
	rate_values[3085] = 5.00E-12
	rate_values[3086] = 5.00E-12
	rate_values[3087] = 5.00E-12
	rate_values[3088] = 5.00E-12
	rate_values[3089] = 5.00E-12
	rate_values[3090] = 5.00E-12
	rate_values[3091] = 5.00E-12
	rate_values[3092] = 5.00E-12
	rate_values[3093] = 5.00E-12
	rate_values[3094] = 5.00E-12
	rate_values[3095] = 5.00E-12
	rate_values[3096] = 5.00E-12
	rate_values[3097] = 5.00E-12
	rate_values[3098] = 5.00E-12
	rate_values[3099] = 5.00E-12
	rate_values[3100] = 5.00E-12
	rate_values[3101] = 5.00E-12
	rate_values[3102] = 5.00E-12
	rate_values[3103] = 5.00E-12
	rate_values[3104] = 5.00E-12
	rate_values[3105] = 5.00E-12
	rate_values[3106] = 5.00E-12
	rate_values[3107] = 5.00E-12
	rate_values[3108] = 5.00E-12
	rate_values[3109] = 5.00E-12
	rate_values[3110] = 5.00E-12
	rate_values[3111] = 5.00E-12
	rate_values[3112] = 5.00E-12
	rate_values[3113] = 5.00E-12
	rate_values[3114] = 5.00E-12
	rate_values[3115] = 5.00E-12
	rate_values[3116] = 5.00E-12
	rate_values[3117] = 5.00E-12
	rate_values[3118] = 5.00E-12
	rate_values[3119] = 5.00E-12
	rate_values[3120] = 5.00E-12
	rate_values[3121] = 5.00E-12
	rate_values[3122] = 5.00E-12
	rate_values[3123] = 5.00E-12
	rate_values[3124] = 5.00E-12
	rate_values[3125] = 5.00E-12
	rate_values[3126] = 5.00E-12
	rate_values[3127] = 5.00E-12
	rate_values[3128] = 5.00E-12
	rate_values[3129] = 5.00E-12
	rate_values[3130] = 5.00E-12
	rate_values[3131] = 5.00E-12
	rate_values[3132] = 5.00E-12
	rate_values[3133] = 5.00E-12
	rate_values[3134] = 5.00E-12
	rate_values[3135] = 5.00E-12
	rate_values[3136] = 5.00E-12
	rate_values[3137] = 5.00E-12
	rate_values[3138] = 5.00E-12
	rate_values[3139] = 5.00E-12
	rate_values[3140] = 5.00E-12
	rate_values[3141] = 5.00E-12
	rate_values[3142] = 5.00E-12
	rate_values[3143] = 5.00E-12
	rate_values[3144] = 5.00E-12
	rate_values[3145] = 5.00E-12
	rate_values[3146] = 5.00E-12
	rate_values[3147] = 5.00E-12
	rate_values[3148] = 5.00E-12
	rate_values[3149] = 5.00E-12
	rate_values[3150] = 5.00E-12
	rate_values[3151] = 5.00E-12
	rate_values[3152] = 5.00E-12
	rate_values[3153] = 5.00E-12
	rate_values[3154] = 5.00E-12
	rate_values[3155] = 5.00E-12
	rate_values[3156] = 5.00E-12
	rate_values[3157] = 5.00E-12
	rate_values[3158] = 5.00E-12
	rate_values[3159] = 5.00E-12
	rate_values[3160] = 5.00E-12
	rate_values[3161] = 5.00E-12
	rate_values[3162] = 5.00E-12
	rate_values[3163] = 5.00E-12
	rate_values[3164] = 5.00E-12
	rate_values[3165] = 5.00E-12
	rate_values[3166] = 5.00E-12
	rate_values[3167] = 5.00E-12
	rate_values[3168] = 5.00E-12
	rate_values[3169] = 5.00E-12
	rate_values[3170] = 5.00E-12
	rate_values[3171] = 5.00E-12
	rate_values[3172] = 5.00E-12
	rate_values[3173] = 5.00E-12
	rate_values[3174] = 5.00E-12
	rate_values[3175] = 5.00E-12
	rate_values[3176] = 5.00E-12
	rate_values[3177] = 5.00E-12
	rate_values[3178] = 5.00E-12
	rate_values[3179] = 5.00E-12
	rate_values[3180] = 5.00E-12
	rate_values[3181] = 5.00E-12
	rate_values[3182] = 5.00E-12
	rate_values[3183] = 5.00E-12
	rate_values[3184] = 5.00E-12
	rate_values[3185] = 5.00E-12
	rate_values[3186] = 5.00E-12
	rate_values[3187] = 5.00E-12
	rate_values[3188] = 5.00E-12
	rate_values[3189] = 5.00E-12
	rate_values[3190] = 5.00E-12
	rate_values[3191] = 5.00E-12
	rate_values[3192] = 5.00E-12
	rate_values[3193] = 5.00E-12
	rate_values[3194] = 5.00E-12
	rate_values[3195] = 5.00E-12
	rate_values[3196] = 5.00E-12
	rate_values[3197] = 5.00E-12
	rate_values[3198] = 5.00E-12
	rate_values[3199] = 5.00E-12
	rate_values[3200] = 5.00E-12
	rate_values[3201] = 5.00E-12
	rate_values[3202] = 5.00E-12
	rate_values[3203] = 5.00E-12
	rate_values[3204] = 5.00E-12
	rate_values[3205] = 5.00E-12
	rate_values[3206] = 5.00E-12
	rate_values[3207] = 5.00E-12
	rate_values[3208] = 5.00E-12
	rate_values[3209] = 5.00E-12
	rate_values[3210] = 5.00E-12
	rate_values[3211] = 5.00E-12
	rate_values[3212] = 5.00E-12
	rate_values[3213] = 5.00E-12
	rate_values[3214] = 5.00E-12
	rate_values[3215] = 5.00E-12
	rate_values[3216] = 5.00E-12
	rate_values[3217] = 5.00E-12
	rate_values[3218] = 5.00E-12
	rate_values[3219] = 5.00E-12
	rate_values[3220] = 5.00E-12
	rate_values[3221] = 5.00E-12
	rate_values[3222] = 5.00E-12
	rate_values[3223] = 5.00E-12
	rate_values[3224] = 5.00E-12
	rate_values[3225] = 5.00E-12
	rate_values[3226] = 5.00E-12
	rate_values[3227] = 5.00E-12
	rate_values[3228] = 5.00E-12
	rate_values[3229] = 5.00E-12
	rate_values[3230] = 5.00E-12
	rate_values[3231] = 5.00E-12
	rate_values[3232] = 5.00E-12
	rate_values[3233] = 5.00E-12
	rate_values[3234] = 5.00E-12
	rate_values[3235] = 5.00E-12
	rate_values[3236] = 5.00E-12
	rate_values[3237] = 5.00E-12
	rate_values[3238] = 5.00E-12
	rate_values[3239] = 5.00E-12
	rate_values[3240] = 5.00E-12
	rate_values[3241] = 5.00E-12
	rate_values[3242] = 5.00E-12
	rate_values[3243] = 5.00E-12
	rate_values[3244] = 5.00E-12
	rate_values[3245] = 5.00E-12
	rate_values[3246] = 5.00E-12
	rate_values[3247] = 5.00E-12
	rate_values[3248] = 5.00E-12
	rate_values[3249] = 5.00E-12
	rate_values[3250] = 5.00E-12
	rate_values[3251] = 5.00E-12
	rate_values[3252] = 5.00E-12
	rate_values[3253] = 5.00E-12
	rate_values[3254] = 5.00E-12
	rate_values[3255] = 5.00E-12
	rate_values[3256] = 5.00E-12
	rate_values[3257] = 5.00E-12
	rate_values[3258] = 5.00E-12
	rate_values[3259] = 5.00E-12
	rate_values[3260] = 5.00E-12
	rate_values[3261] = 5.00E-12
	rate_values[3262] = 5.00E-12
	rate_values[3263] = 5.00E-12
	rate_values[3264] = 5.00E-12
	rate_values[3265] = 5.00E-12
	rate_values[3266] = 5.00E-12
	rate_values[3267] = 5.00E-12
	rate_values[3268] = 5.00E-12
	rate_values[3269] = 5.00E-12
	rate_values[3270] = 5.00E-12
	rate_values[3271] = 5.00E-12
	rate_values[3272] = 5.00E-12
	rate_values[3273] = 5.00E-12
	rate_values[3274] = 5.00E-12
	rate_values[3275] = 5.00E-12
	rate_values[3276] = 5.00E-12
	rate_values[3277] = 5.00E-12
	rate_values[3278] = 5.00E-12
	rate_values[3279] = 5.00E-12
	rate_values[3280] = 5.00E-12
	rate_values[3281] = 5.00E-12
	rate_values[3282] = 5.00E-12
	rate_values[3283] = 5.00E-12
	rate_values[3284] = 5.00E-12
	rate_values[3285] = 5.00E-12
	rate_values[3286] = 5.00E-12
	rate_values[3287] = 5.00E-12
	rate_values[3288] = 5.00E-12
	rate_values[3289] = 5.00E-12
	rate_values[3290] = 5.00E-12
	rate_values[3291] = 5.00E-12
	rate_values[3292] = 5.00E-12
	rate_values[3293] = 5.00E-12
	rate_values[3294] = 1E-12*0.2*RO2
	rate_values[3295] = 1E-12*0.6*RO2
	rate_values[3296] = 1E-12*0.2*RO2
	rate_values[3297] = 5E-12*0.2*RO2
	rate_values[3298] = 5E-12*0.6*RO2
	rate_values[3299] = 5E-12*0.2*RO2
	rate_values[3300] = 5E-12*0.2*RO2
	rate_values[3301] = 5E-12*0.6*RO2
	rate_values[3302] = 5E-12*0.2*RO2
	rate_values[3303] = 5E-12*0.2*RO2
	rate_values[3304] = 5E-12*0.6*RO2
	rate_values[3305] = 5E-12*0.2*RO2
	rate_values[3306] = 7E-12*0.4*RO2
	rate_values[3307] = 7E-12*0.4*RO2
	rate_values[3308] = 7E-12*0.2*RO2
	rate_values[3309] = 8E-12*0.2*RO2
	rate_values[3310] = 8E-12*0.4*RO2
	rate_values[3311] = 8E-12*0.4*RO2
	rate_values[3312] = 9E-12*0.4*RO2
	rate_values[3313] = 9E-12*0.2*RO2
	rate_values[3314] = 9E-12*0.4*RO2
	rate_values[3315] = 1E-11*0.3*RO2
	rate_values[3316] = 1E-11*0.2*RO2
	rate_values[3317] = 1E-11*0.5*RO2
	rate_values[3318] = 1E-11*0.5*RO2
	rate_values[3319] = 1E-11*0.2*RO2
	rate_values[3320] = 1E-11*0.3*RO2
	rate_values[3321] = 1E-11*0.4*RO2
	rate_values[3322] = 1E-11*0.2*RO2
	rate_values[3323] = 1E-11*0.4*RO2
	rate_values[3324] = 1E-11*0.5*RO2
	rate_values[3325] = 1E-11*0.0*RO2
	rate_values[3326] = 1E-11*0.5*RO2
	rate_values[3327] = 9.20e-14*RO2*0.1
	rate_values[3328] = 9.20e-14*0.7*RO2*0.9
	rate_values[3329] = 9.20e-14*0.3*RO2*0.9
	rate_values[3330] = 2e17*numpy.exp(-1.2077e4/TEMP)
	rate_values[3331] = 6e16*numpy.exp(-1.2077e4/TEMP)
	rate_values[3332] = 6e16*numpy.exp(-1.2077e4/TEMP)
	rate_values[3333] = 3e16*numpy.exp(-1.2077e4/TEMP)
	rate_values[3334] = KDEC
	rate_values[3335] = KDEC
	rate_values[3336] = KDEC
	rate_values[3337] = KDEC
	rate_values[3338] = KDEC
	rate_values[3339] = 1.0*KRO2NO
	rate_values[3340] = 0.9*KRO2NO
	rate_values[3341] = 0.8*KRO2NO
	rate_values[3342] = 0.7*KRO2NO
	rate_values[3343] = 0.5*KRO2NO
	rate_values[3344] = 0
	rate_values[3345] = 0.4*KRO2NO*0.1
	rate_values[3346] = 0.4*KRO2NO*0.2
	rate_values[3347] = 0.4*KRO2NO*0.3
	rate_values[3348] = 0.4*KRO2NO*0.5
	rate_values[3349] = 0.4*KRO2NO*1.0
	rate_values[3350] = 0
	rate_values[3351] = 0.6*KRO2NO*0.1*7e0/10e0
	rate_values[3352] = 0.6*KRO2NO*0.2*7e0/10e0
	rate_values[3353] = 0.6*KRO2NO*0.3*7e0/10e0
	rate_values[3354] = 0.6*KRO2NO*0.5*7e0/10e0
	rate_values[3355] = 0.6*KRO2NO*1.0*7e0/10e0
	rate_values[3356] = 0
	rate_values[3357] = 0.6*KRO2NO*0.1*3e0/10e0
	rate_values[3358] = 0.6*KRO2NO*0.2*3e0/10e0
	rate_values[3359] = 0.6*KRO2NO*0.3*3e0/10e0
	rate_values[3360] = 0.6*KRO2NO*0.5*3e0/10e0
	rate_values[3361] = 0.6*KRO2NO*1.0*3e0/10e0
	rate_values[3362] = KRO2HO2
	rate_values[3363] = KRO2HO2
	rate_values[3364] = KRO2HO2
	rate_values[3365] = KRO2HO2
	rate_values[3366] = KRO2HO2
	rate_values[3367] = KRO2HO2
	rate_values[3368] = 1.00E-13
	rate_values[3369] = 1.00E-13
	rate_values[3370] = 1.00E-13
	rate_values[3371] = 1.00E-13
	rate_values[3372] = 1.00E-13
	rate_values[3373] = 1.00E-13
	rate_values[3374] = 1.00E-13
	rate_values[3375] = 1.00E-13
	rate_values[3376] = 1.00E-13
	rate_values[3377] = 1.00E-13
	rate_values[3378] = 1.00E-13
	rate_values[3379] = 1.00E-13
	rate_values[3380] = 1.00E-13
	rate_values[3381] = 1.00E-13
	rate_values[3382] = 1.00E-13
	rate_values[3383] = 1.00E-13
	rate_values[3384] = 1.00E-13
	rate_values[3385] = 1.00E-13
	rate_values[3386] = 1.00E-13
	rate_values[3387] = 1.00E-13
	rate_values[3388] = 1.00E-13
	rate_values[3389] = 1.00E-13
	rate_values[3390] = 1.00E-13
	rate_values[3391] = 1.00E-13
	rate_values[3392] = 1.00E-13
	rate_values[3393] = 1.00E-13
	rate_values[3394] = 1.00E-13
	rate_values[3395] = 1.00E-13
	rate_values[3396] = 1.00E-13
	rate_values[3397] = 1.00E-13
	rate_values[3398] = 1.00E-13
	rate_values[3399] = 1.00E-13
	rate_values[3400] = 1.00E-13
	rate_values[3401] = 1.00E-13
	rate_values[3402] = 1.00E-13
	rate_values[3403] = 1.00E-13
	rate_values[3404] = 1.00E-13
	rate_values[3405] = 1.00E-13
	rate_values[3406] = 1.00E-13
	rate_values[3407] = 1.00E-13
	rate_values[3408] = 1.00E-13
	rate_values[3409] = 1.00E-13
	rate_values[3410] = 1.00E-13
	rate_values[3411] = 1.00E-13
	rate_values[3412] = 1.00E-13
	rate_values[3413] = 1.00E-13
	rate_values[3414] = 1.00E-13
	rate_values[3415] = 1.00E-13
	rate_values[3416] = 1.00E-13
	rate_values[3417] = 1.00E-13
	rate_values[3418] = 1.00E-13
	rate_values[3419] = 1.00E-13
	rate_values[3420] = 1.00E-13
	rate_values[3421] = 1.00E-13
	rate_values[3422] = 1.00E-13
	rate_values[3423] = 1.00E-13
	rate_values[3424] = 1.00E-13
	rate_values[3425] = 1.00E-13
	rate_values[3426] = 1.00E-13
	rate_values[3427] = 1.00E-13
	rate_values[3428] = 1.00E-13
	rate_values[3429] = 1.00E-13
	rate_values[3430] = 1.00E-13
	rate_values[3431] = 1.00E-13
	rate_values[3432] = 1.00E-13
	rate_values[3433] = 1.00E-13
	rate_values[3434] = 1.00E-13
	rate_values[3435] = 1.00E-13
	rate_values[3436] = 1.00E-13
	rate_values[3437] = 1.00E-13
	rate_values[3438] = 1.00E-13
	rate_values[3439] = 1.00E-13
	rate_values[3440] = 1.00E-13
	rate_values[3441] = 1.00E-13
	rate_values[3442] = 1.00E-13
	rate_values[3443] = 1.00E-13
	rate_values[3444] = 1.00E-13
	rate_values[3445] = 1.00E-13
	rate_values[3446] = 1.00E-13
	rate_values[3447] = 1.00E-13
	rate_values[3448] = 1.00E-13
	rate_values[3449] = 1.00E-13
	rate_values[3450] = 1.00E-13
	rate_values[3451] = 1.00E-13
	rate_values[3452] = 1.00E-13
	rate_values[3453] = 1.00E-13
	rate_values[3454] = 1.00E-13
	rate_values[3455] = 1.00E-13
	rate_values[3456] = 1.00E-13
	rate_values[3457] = 1.00E-13
	rate_values[3458] = 1.00E-13
	rate_values[3459] = 1.00E-13
	rate_values[3460] = 1.00E-13
	rate_values[3461] = 1.00E-13
	rate_values[3462] = 1.00E-13
	rate_values[3463] = 1.00E-13
	rate_values[3464] = 1.00E-13
	rate_values[3465] = 1.00E-13
	rate_values[3466] = 1.00E-13
	rate_values[3467] = 1.00E-13
	rate_values[3468] = 1.00E-13
	rate_values[3469] = 1.00E-13
	rate_values[3470] = 1.00E-13
	rate_values[3471] = 1.00E-13
	rate_values[3472] = 1.00E-13
	rate_values[3473] = 1.00E-13
	rate_values[3474] = 1.00E-13
	rate_values[3475] = 1.00E-13
	rate_values[3476] = 1.00E-13
	rate_values[3477] = 1.00E-13
	rate_values[3478] = 1.00E-13
	rate_values[3479] = 1.00E-13
	rate_values[3480] = 1.00E-13
	rate_values[3481] = 1.00E-13
	rate_values[3482] = 1.00E-13
	rate_values[3483] = 1.00E-13
	rate_values[3484] = 1.00E-13
	rate_values[3485] = 1.00E-13
	rate_values[3486] = 1.00E-13
	rate_values[3487] = 1.00E-13
	rate_values[3488] = 1.00E-13
	rate_values[3489] = 1.00E-13
	rate_values[3490] = 1.00E-13
	rate_values[3491] = 1.00E-13
	rate_values[3492] = 1.00E-13
	rate_values[3493] = 1.00E-13
	rate_values[3494] = 1.00E-13
	rate_values[3495] = 1.00E-13
	rate_values[3496] = 1.00E-13
	rate_values[3497] = 1.00E-13
	rate_values[3498] = 1.00E-13
	rate_values[3499] = 1.00E-13
	rate_values[3500] = 1.00E-13
	rate_values[3501] = 1.00E-13
	rate_values[3502] = 1.00E-13
	rate_values[3503] = 1.00E-13
	rate_values[3504] = 1.00E-13
	rate_values[3505] = 1.00E-13
	rate_values[3506] = 1.00E-13
	rate_values[3507] = 1.00E-13
	rate_values[3508] = 1.00E-13
	rate_values[3509] = 1.00E-13
	rate_values[3510] = 1.00E-13
	rate_values[3511] = 1.00E-13
	rate_values[3512] = 1.00E-13
	rate_values[3513] = 1.00E-13
	rate_values[3514] = 1.00E-13
	rate_values[3515] = 1.00E-13
	rate_values[3516] = 1.00E-13
	rate_values[3517] = 1.00E-13
	rate_values[3518] = 1.00E-13
	rate_values[3519] = 1.00E-13
	rate_values[3520] = 1.00E-13
	rate_values[3521] = 1.00E-13
	rate_values[3522] = 1.00E-13
	rate_values[3523] = 1.00E-13
	rate_values[3524] = 1.00E-13
	rate_values[3525] = 1.00E-13
	rate_values[3526] = 1.00E-13
	rate_values[3527] = 1.00E-13
	rate_values[3528] = 1.00E-13
	rate_values[3529] = 1.00E-13
	rate_values[3530] = 1.00E-13
	rate_values[3531] = 1.00E-13
	rate_values[3532] = 1.00E-13
	rate_values[3533] = 1.00E-13
	rate_values[3534] = 1.00E-13
	rate_values[3535] = 1.00E-13
	rate_values[3536] = 1.00E-13
	rate_values[3537] = 1.00E-13
	rate_values[3538] = 1.00E-13
	rate_values[3539] = 1.00E-13
	rate_values[3540] = 1.00E-13
	rate_values[3541] = 1.00E-13
	rate_values[3542] = 1.00E-13
	rate_values[3543] = 1.00E-13
	rate_values[3544] = 1.00E-13
	rate_values[3545] = 1.00E-13
	rate_values[3546] = 1.00E-13
	rate_values[3547] = 1.00E-13
	rate_values[3548] = 1.00E-13
	rate_values[3549] = 1.00E-13
	rate_values[3550] = 1.00E-13
	rate_values[3551] = 1.00E-13
	rate_values[3552] = 1.00E-13
	rate_values[3553] = 1.00E-13
	rate_values[3554] = 1.00E-13
	rate_values[3555] = 1.00E-13
	rate_values[3556] = 5.00E-13
	rate_values[3557] = 5.00E-13
	rate_values[3558] = 5.00E-13
	rate_values[3559] = 5.00E-13
	rate_values[3560] = 5.00E-13
	rate_values[3561] = 5.00E-13
	rate_values[3562] = 5.00E-13
	rate_values[3563] = 5.00E-13
	rate_values[3564] = 5.00E-13
	rate_values[3565] = 5.00E-13
	rate_values[3566] = 5.00E-13
	rate_values[3567] = 5.00E-13
	rate_values[3568] = 5.00E-13
	rate_values[3569] = 5.00E-13
	rate_values[3570] = 5.00E-13
	rate_values[3571] = 5.00E-13
	rate_values[3572] = 5.00E-13
	rate_values[3573] = 5.00E-13
	rate_values[3574] = 5.00E-13
	rate_values[3575] = 5.00E-13
	rate_values[3576] = 5.00E-13
	rate_values[3577] = 5.00E-13
	rate_values[3578] = 5.00E-13
	rate_values[3579] = 5.00E-13
	rate_values[3580] = 5.00E-13
	rate_values[3581] = 5.00E-13
	rate_values[3582] = 5.00E-13
	rate_values[3583] = 5.00E-13
	rate_values[3584] = 5.00E-13
	rate_values[3585] = 5.00E-13
	rate_values[3586] = 5.00E-13
	rate_values[3587] = 5.00E-13
	rate_values[3588] = 5.00E-13
	rate_values[3589] = 5.00E-13
	rate_values[3590] = 5.00E-13
	rate_values[3591] = 5.00E-13
	rate_values[3592] = 5.00E-13
	rate_values[3593] = 5.00E-13
	rate_values[3594] = 5.00E-13
	rate_values[3595] = 5.00E-13
	rate_values[3596] = 5.00E-13
	rate_values[3597] = 5.00E-13
	rate_values[3598] = 5.00E-13
	rate_values[3599] = 5.00E-13
	rate_values[3600] = 5.00E-13
	rate_values[3601] = 5.00E-13
	rate_values[3602] = 5.00E-13
	rate_values[3603] = 5.00E-13
	rate_values[3604] = 5.00E-13
	rate_values[3605] = 5.00E-13
	rate_values[3606] = 5.00E-13
	rate_values[3607] = 5.00E-13
	rate_values[3608] = 5.00E-13
	rate_values[3609] = 5.00E-13
	rate_values[3610] = 5.00E-13
	rate_values[3611] = 5.00E-13
	rate_values[3612] = 5.00E-13
	rate_values[3613] = 5.00E-13
	rate_values[3614] = 5.00E-13
	rate_values[3615] = 5.00E-13
	rate_values[3616] = 5.00E-13
	rate_values[3617] = 5.00E-13
	rate_values[3618] = 5.00E-13
	rate_values[3619] = 5.00E-13
	rate_values[3620] = 5.00E-13
	rate_values[3621] = 5.00E-13
	rate_values[3622] = 5.00E-13
	rate_values[3623] = 5.00E-13
	rate_values[3624] = 5.00E-13
	rate_values[3625] = 5.00E-13
	rate_values[3626] = 5.00E-13
	rate_values[3627] = 5.00E-13
	rate_values[3628] = 5.00E-13
	rate_values[3629] = 5.00E-13
	rate_values[3630] = 5.00E-13
	rate_values[3631] = 5.00E-13
	rate_values[3632] = 5.00E-13
	rate_values[3633] = 5.00E-13
	rate_values[3634] = 5.00E-13
	rate_values[3635] = 5.00E-13
	rate_values[3636] = 5.00E-13
	rate_values[3637] = 5.00E-13
	rate_values[3638] = 5.00E-13
	rate_values[3639] = 5.00E-13
	rate_values[3640] = 5.00E-13
	rate_values[3641] = 5.00E-13
	rate_values[3642] = 5.00E-13
	rate_values[3643] = 5.00E-13
	rate_values[3644] = 5.00E-13
	rate_values[3645] = 5.00E-13
	rate_values[3646] = 5.00E-13
	rate_values[3647] = 5.00E-13
	rate_values[3648] = 5.00E-13
	rate_values[3649] = 5.00E-13
	rate_values[3650] = 2.00E-12
	rate_values[3651] = 2.00E-12
	rate_values[3652] = 2.00E-12
	rate_values[3653] = 2.00E-12
	rate_values[3654] = 2.00E-12
	rate_values[3655] = 2.00E-12
	rate_values[3656] = 2.00E-12
	rate_values[3657] = 2.00E-12
	rate_values[3658] = 2.00E-12
	rate_values[3659] = 2.00E-12
	rate_values[3660] = 2.00E-12
	rate_values[3661] = 2.00E-12
	rate_values[3662] = 2.00E-12
	rate_values[3663] = 2.00E-12
	rate_values[3664] = 2.00E-12
	rate_values[3665] = 2.00E-12
	rate_values[3666] = 2.00E-12
	rate_values[3667] = 2.00E-12
	rate_values[3668] = 2.00E-12
	rate_values[3669] = 2.00E-12
	rate_values[3670] = 2.00E-12
	rate_values[3671] = 2.00E-12
	rate_values[3672] = 2.00E-12
	rate_values[3673] = 2.00E-12
	rate_values[3674] = 2.00E-12
	rate_values[3675] = 2.00E-12
	rate_values[3676] = 2.00E-12
	rate_values[3677] = 2.00E-12
	rate_values[3678] = 2.00E-12
	rate_values[3679] = 2.00E-12
	rate_values[3680] = 2.00E-12
	rate_values[3681] = 2.00E-12
	rate_values[3682] = 2.00E-12
	rate_values[3683] = 2.00E-12
	rate_values[3684] = 2.00E-12
	rate_values[3685] = 2.00E-12
	rate_values[3686] = 2.00E-12
	rate_values[3687] = 2.00E-12
	rate_values[3688] = 2.00E-12
	rate_values[3689] = 2.00E-12
	rate_values[3690] = 2.00E-12
	rate_values[3691] = 2.00E-12
	rate_values[3692] = 2.00E-12
	rate_values[3693] = 2.00E-12
	rate_values[3694] = 2.00E-12
	rate_values[3695] = 2.00E-12
	rate_values[3696] = 2.00E-12
	rate_values[3697] = 2.00E-12
	rate_values[3698] = 2.00E-12
	rate_values[3699] = 2.00E-12
	rate_values[3700] = 2.00E-12
	rate_values[3701] = 2.00E-12
	rate_values[3702] = 2.00E-12
	rate_values[3703] = 2.00E-12
	rate_values[3704] = 2.00E-12
	rate_values[3705] = 2.00E-12
	rate_values[3706] = 2.00E-12
	rate_values[3707] = 2.00E-12
	rate_values[3708] = 2.00E-12
	rate_values[3709] = 2.00E-12
	rate_values[3710] = 2.00E-12
	rate_values[3711] = 2.00E-12
	rate_values[3712] = 2.00E-12
	rate_values[3713] = 2.00E-12
	rate_values[3714] = 2.00E-12
	rate_values[3715] = 2.00E-12
	rate_values[3716] = 2.00E-12
	rate_values[3717] = 2.00E-12
	rate_values[3718] = 2.00E-12
	rate_values[3719] = 2.00E-12
	rate_values[3720] = 2.00E-12
	rate_values[3721] = 2.00E-12
	rate_values[3722] = 2.00E-12
	rate_values[3723] = 2.00E-12
	rate_values[3724] = 2.00E-12
	rate_values[3725] = 2.00E-12
	rate_values[3726] = 2.00E-12
	rate_values[3727] = 2.00E-12
	rate_values[3728] = 2.00E-12
	rate_values[3729] = 2.00E-12
	rate_values[3730] = 2.00E-12
	rate_values[3731] = 2.00E-12
	rate_values[3732] = 2.00E-12
	rate_values[3733] = 2.00E-12
	rate_values[3734] = 2.00E-12
	rate_values[3735] = 2.00E-12
	rate_values[3736] = 2.00E-12
	rate_values[3737] = 2.00E-12
	rate_values[3738] = 2.00E-12
	rate_values[3739] = 2.00E-12
	rate_values[3740] = 2.00E-12
	rate_values[3741] = 2.00E-12
	rate_values[3742] = 2.00E-12
	rate_values[3743] = 2.00E-12
	rate_values[3744] = 3.00E-12
	rate_values[3745] = 3.00E-12
	rate_values[3746] = 3.00E-12
	rate_values[3747] = 3.00E-12
	rate_values[3748] = 3.00E-12
	rate_values[3749] = 3.00E-12
	rate_values[3750] = 3.00E-12
	rate_values[3751] = 3.00E-12
	rate_values[3752] = 3.00E-12
	rate_values[3753] = 3.00E-12
	rate_values[3754] = 3.00E-12
	rate_values[3755] = 3.00E-12
	rate_values[3756] = 3.00E-12
	rate_values[3757] = 3.00E-12
	rate_values[3758] = 3.00E-12
	rate_values[3759] = 3.00E-12
	rate_values[3760] = 3.00E-12
	rate_values[3761] = 3.00E-12
	rate_values[3762] = 3.00E-12
	rate_values[3763] = 3.00E-12
	rate_values[3764] = 3.00E-12
	rate_values[3765] = 3.00E-12
	rate_values[3766] = 3.00E-12
	rate_values[3767] = 3.00E-12
	rate_values[3768] = 3.00E-12
	rate_values[3769] = 3.00E-12
	rate_values[3770] = 3.00E-12
	rate_values[3771] = 3.00E-12
	rate_values[3772] = 3.00E-12
	rate_values[3773] = 3.00E-12
	rate_values[3774] = 3.00E-12
	rate_values[3775] = 3.00E-12
	rate_values[3776] = 3.00E-12
	rate_values[3777] = 3.00E-12
	rate_values[3778] = 3.00E-12
	rate_values[3779] = 3.00E-12
	rate_values[3780] = 3.00E-12
	rate_values[3781] = 3.00E-12
	rate_values[3782] = 3.00E-12
	rate_values[3783] = 3.00E-12
	rate_values[3784] = 3.00E-12
	rate_values[3785] = 3.00E-12
	rate_values[3786] = 3.00E-12
	rate_values[3787] = 3.00E-12
	rate_values[3788] = 3.00E-12
	rate_values[3789] = 3.00E-12
	rate_values[3790] = 3.00E-12
	rate_values[3791] = 3.00E-12
	rate_values[3792] = 3.00E-12
	rate_values[3793] = 3.00E-12
	rate_values[3794] = 3.00E-12
	rate_values[3795] = 3.00E-12
	rate_values[3796] = 3.00E-12
	rate_values[3797] = 3.00E-12
	rate_values[3798] = 3.00E-12
	rate_values[3799] = 3.00E-12
	rate_values[3800] = 3.00E-12
	rate_values[3801] = 3.00E-12
	rate_values[3802] = 3.00E-12
	rate_values[3803] = 3.00E-12
	rate_values[3804] = 3.00E-12
	rate_values[3805] = 3.00E-12
	rate_values[3806] = 3.00E-12
	rate_values[3807] = 3.00E-12
	rate_values[3808] = 3.00E-12
	rate_values[3809] = 3.00E-12
	rate_values[3810] = 3.00E-12
	rate_values[3811] = 3.00E-12
	rate_values[3812] = 3.00E-12
	rate_values[3813] = 3.00E-12
	rate_values[3814] = 3.00E-12
	rate_values[3815] = 3.00E-12
	rate_values[3816] = 3.00E-12
	rate_values[3817] = 3.00E-12
	rate_values[3818] = 3.00E-12
	rate_values[3819] = 3.00E-12
	rate_values[3820] = 3.00E-12
	rate_values[3821] = 3.00E-12
	rate_values[3822] = 3.00E-12
	rate_values[3823] = 3.00E-12
	rate_values[3824] = 3.00E-12
	rate_values[3825] = 3.00E-12
	rate_values[3826] = 3.00E-12
	rate_values[3827] = 3.00E-12
	rate_values[3828] = 3.00E-12
	rate_values[3829] = 3.00E-12
	rate_values[3830] = 3.00E-12
	rate_values[3831] = 3.00E-12
	rate_values[3832] = 3.00E-12
	rate_values[3833] = 3.00E-12
	rate_values[3834] = 3.00E-12
	rate_values[3835] = 3.00E-12
	rate_values[3836] = 3.00E-12
	rate_values[3837] = 3.00E-12
	rate_values[3838] = 3.00E-12
	rate_values[3839] = 3.00E-12
	rate_values[3840] = 3.00E-12
	rate_values[3841] = 3.00E-12
	rate_values[3842] = 3.00E-12
	rate_values[3843] = 3.00E-12
	rate_values[3844] = 3.00E-12
	rate_values[3845] = 3.00E-12
	rate_values[3846] = 3.00E-12
	rate_values[3847] = 3.00E-12
	rate_values[3848] = 3.00E-12
	rate_values[3849] = 3.00E-12
	rate_values[3850] = 3.00E-12
	rate_values[3851] = 3.00E-12
	rate_values[3852] = 3.00E-12
	rate_values[3853] = 3.00E-12
	rate_values[3854] = 3.00E-12
	rate_values[3855] = 3.00E-12
	rate_values[3856] = 3.00E-12
	rate_values[3857] = 3.00E-12
	rate_values[3858] = 3.00E-12
	rate_values[3859] = 3.00E-12
	rate_values[3860] = 3.00E-12
	rate_values[3861] = 3.00E-12
	rate_values[3862] = 3.00E-12
	rate_values[3863] = 3.00E-12
	rate_values[3864] = 3.00E-12
	rate_values[3865] = 3.00E-12
	rate_values[3866] = 3.00E-12
	rate_values[3867] = 3.00E-12
	rate_values[3868] = 3.00E-12
	rate_values[3869] = 3.00E-12
	rate_values[3870] = 3.00E-12
	rate_values[3871] = 3.00E-12
	rate_values[3872] = 3.00E-12
	rate_values[3873] = 3.00E-12
	rate_values[3874] = 3.00E-12
	rate_values[3875] = 3.00E-12
	rate_values[3876] = 3.00E-12
	rate_values[3877] = 3.00E-12
	rate_values[3878] = 3.00E-12
	rate_values[3879] = 3.00E-12
	rate_values[3880] = 3.00E-12
	rate_values[3881] = 3.00E-12
	rate_values[3882] = 3.00E-12
	rate_values[3883] = 3.00E-12
	rate_values[3884] = 3.00E-12
	rate_values[3885] = 3.00E-12
	rate_values[3886] = 3.00E-12
	rate_values[3887] = 3.00E-12
	rate_values[3888] = 3.00E-12
	rate_values[3889] = 3.00E-12
	rate_values[3890] = 3.00E-12
	rate_values[3891] = 3.00E-12
	rate_values[3892] = 3.00E-12
	rate_values[3893] = 3.00E-12
	rate_values[3894] = 3.00E-12
	rate_values[3895] = 3.00E-12
	rate_values[3896] = 3.00E-12
	rate_values[3897] = 3.00E-12
	rate_values[3898] = 3.00E-12
	rate_values[3899] = 3.00E-12
	rate_values[3900] = 3.00E-12
	rate_values[3901] = 3.00E-12
	rate_values[3902] = 3.00E-12
	rate_values[3903] = 3.00E-12
	rate_values[3904] = 3.00E-12
	rate_values[3905] = 3.00E-12
	rate_values[3906] = 3.00E-12
	rate_values[3907] = 3.00E-12
	rate_values[3908] = 3.00E-12
	rate_values[3909] = 3.00E-12
	rate_values[3910] = 3.00E-12
	rate_values[3911] = 3.00E-12
	rate_values[3912] = 3.00E-12
	rate_values[3913] = 3.00E-12
	rate_values[3914] = 3.00E-12
	rate_values[3915] = 3.00E-12
	rate_values[3916] = 3.00E-12
	rate_values[3917] = 3.00E-12
	rate_values[3918] = 3.00E-12
	rate_values[3919] = 3.00E-12
	rate_values[3920] = 3.00E-12
	rate_values[3921] = 3.00E-12
	rate_values[3922] = 3.00E-12
	rate_values[3923] = 3.00E-12
	rate_values[3924] = 3.00E-12
	rate_values[3925] = 3.00E-12
	rate_values[3926] = 3.00E-12
	rate_values[3927] = 3.00E-12
	rate_values[3928] = 3.00E-12
	rate_values[3929] = 3.00E-12
	rate_values[3930] = 3.00E-12
	rate_values[3931] = 3.00E-12
	rate_values[3932] = 5E-12*0.2*RO2
	rate_values[3933] = 5E-12*0.6*RO2
	rate_values[3934] = 5E-12*0.2*RO2
	rate_values[3935] = 5E-12*0.2*RO2
	rate_values[3936] = 5E-12*0.6*RO2
	rate_values[3937] = 5E-12*0.2*RO2
	rate_values[3938] = 8E-12*0.2*RO2
	rate_values[3939] = 8E-12*0.6*RO2
	rate_values[3940] = 8E-12*0.2*RO2
	rate_values[3941] = 1E-11*0.3*RO2
	rate_values[3942] = 1E-11*0.4*RO2
	rate_values[3943] = 1E-11*0.3*RO2
	rate_values[3944] = 1E-11*0.4*RO2
	rate_values[3945] = 1E-11*0.2*RO2
	rate_values[3946] = 1E-11*0.4*RO2
	rate_values[3947] = 1E-11*0.5*RO2
	rate_values[3948] = 1E-11*0.5*RO2
=======
	rate_values = numpy.zeros((3))
	
	# reac_coef has been formatted so that python can recognize it
	# gas-phase reactions
	rate_values[0] = 8.05e-16*numpy.exp(-640/TEMP)*0.58
>>>>>>> e9030bfb8dc80b92571dbd02e027e8db0630f80f
	
	# aqueous-phase reactions
	rate_values[1] = 1.0e-14
	rate_values[2] = 1.0e-14
	
	return(rate_values)
